/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

function displayLongText(){
	$('#long_text').dialog('open');
}

function setJQueryUITopics(){
	$long_text = $('#long_text').dialog({
		autoOpen: false,
		width: 800,
		height: 600,
		modal: true,
		hide: 'slide',
		show: 'slide', 
		buttons: {
			'Ok': function(){
				$(this).dialog('close');
			}
		}
	});

	if ($('#editing').length > 0){
		WYSIWYG.attach('edit_short_text', small);
		WYSIWYG.attach('edit_long_text', small);
		$editing = $('#editing').dialog({
			autoOpen: false,
			width: 800,
			height: 800,
			modal: true,
			hide: 'slide',
			show: 'slide',
			buttons: {
				'Save': function(){
					WYSIWYG.updateTextArea('edit_short_text');
					WYSIWYG.updateTextArea('edit_long_text');
					$('#short_text_id')[0].innerHTML = $('#edit_short_text')[0].value;
					$('#long_text_id')[0].innerHTML = $('#edit_long_text')[0].value;
					$(this).dialog('close');
					sendAjax(URL(TARIQA_URL, 'module=ajax&action=themeSaveText&theme_id=' + $('#theme_id')[0].value), 'post',
						textSaved, null, 'short_text=' + encodeURIComponent($('#edit_short_text')[0].value) + '&long_text=' + encodeURIComponent($('#edit_long_text')[0].value));
				},
				'Cancel': function(){
					$(this).dialog('close');
				}
			}
		});
	}
}

function editText(){
	$('#editing').dialog('open');
}

function textSaved(response){
	
}