<?php

	/**
	 * Place holder for Tarîqa's Monitoring Topics
	 * */
	class MonitoringItem {
		
		/**
		 * The identifier of the monitored Theme
		 * @var string
		 * */
		public $id;
		
		/**
		 * Title of the topic
		 * @var string
		 * */
		public $title;
		
		/**
		 * If not null the application should link to that url instead of trying to fetch the sources of the current monitoring
		 * @var string
		 * */
		public $url;
		
		/**
		 * The list of data blocks composing the current thematic monitoring topic
		 * @var DataBlock[]
		 * */
		public $dataBlocks;
	}
	
?>