<?php

	/**
	 * Parsed Oxford Analytica Document
	 * */
	class OxfordAnalyticaDocument {
		
		/**
		 * Headline
		 * @var string
		 * */
		public $headline;
		
		/**
		 * Date of publication
		 * @var string
		 * */
		public $date;
		
		/**
		 * List of relevant country names
		 * @var string[]
		 * */
		public $country_profiles;
		
		/**
		 * Article's body
		 * @var string
		 * */
		public $body;
		
		/**
		 * List of relevant keywords
		 * @var string
		 * */
		public $keywords;
	}
?>