<?php

	/**
	 * Note that the Navigation elements are there to be presented to users, not to be reused by programs using the API – these can navigate by simple incrementing of the pageNo variable.
	 * @see OxfordAnalyticaSearchResult
	 **/
	class OxfordAnalyticaNavigation {
		
		/**
		 * the URL of the search
		 * @var string
		 * */
		public $userURL;
		
		/**
		 * user-usable link to previous page, if any
		 * @var string
		 * */
		public $previousPage;
		
		/**
		 * user-usable link to next page
		 * @var string
		 * */
		public $nextPage;
		
	}
?>