<?php
	/**
	 * Containes information about a theme
	 * @author Cosmin Popescu
	 * @copyright © EUROPEAN COMMISSION, 2008.
	 * */

        class Query {
            /**
		 * Query title
		 * @var string
		 * */

            public $title;

            /**
		 * Query description
		 * @var string
		 * */

	    public $description;

            /**
		 * Query actual query
		 * @var string
		 * */

	    public $query;

            /**
		 * Query source identifier
		 * @var int
		 * */

	    public $source_id;

            /**
		 * Query identifier
		 * @var int
		 * */

	    public $query_id;

            /**
		 * Query country or theme label (Label of the 'block of data')
		 * @var string
		 * */

	    public $block_label;

            /**
		 * Query country or theme description (Description of the 'block of data')
		 * @var string
		 * */

	    public $block_description;

            /**
		 * Query country or theme display order (Display order of the 'block of data')
		 * @var int
		 * */

	    public $block_display_order;

            /**
		 * Query time range (in days)
		 * @var string
		 * */

	    public $time_range;

            /**
		 * Query flavour
		 * @var Flavour
		 * */

	    public $flavour;
	    
	    /**
	     * The full source
	     * @var Source
	     * @access public
	    */
	    public $source = null;
	    
	    /**
	     * The full engine
	     * @var Engine
	     * @access public
	    */
	    public $engine = null;

            /**
             * The icon
             * @var string
             * @access public
             **/
            public $icon;

		/**
		 * The weblog id
		 * @var string
		 * @access public
		 */
		public $weblog_id = null;


        }

?>