<?php
    /**
    * Containes information about a theme topic
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */

    class ThemeTopic {
        /**
        * The topic identifier
        * @var int
        * */
        public $topic_id;

        /**
         * The theme identifier
         * @var int
        */
        public $theme_id;

        /**
         * The topic title
         * @var string
        */
        public $title;

        /**
         * The topic description
         * @var string
        */
        public $description;

		/**
		 * The list of topic queries
		 * @var TopicQuery[]
		 * @access public
		 */
		public $queries;

    }

?>