<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3{

	/**
	 * Dummy module for testing purposes
	 * @author Cosmin Popescu, Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2010
     * @package tariqa3
	 * @license http://ec.europa.eu/idabc/eupl
	 */
class Dummy extends tariqa3Module {

	/**
	 * Construct the Module object
	 * @param array $config The multidimentionnal array containing the application's configuration
	 */
	public function __construct( $config ) {
		parent::__construct($config);
	}

	/**
	 * Render the module
	 * @return string
	 */
	public function getPageContent() {
		$tpl = new \MetaNull\Application\MTemplate( 'm' );
		/*$tpl->loadTemplate( $this->getTemplateFilePath( 'feeds.html' ));
		$this->setDefaultLayout('module.html');

		$sql = "select * from tmp order by id";
		$tpl->data['feeds'] = array();

		$query = $this->db->mQuery($sql);
		while ($row = $query->fetch_assoc()){
			$row['has_logo'] = $row['logo']!= null;
			$tpl->data['feeds'][] = $row;
		}
		echo $tpl->transform();
		die();*/

		/*set_time_limit(0);
		$countries = statics::listCountries();

		$i = 0;
		foreach ($countries as $country){
                    //$wiki_data =
		}
		*/
		/*$this->db = statics::open_db_connection($this->config['database']);

		statics::load_user_prefs($this->user, $this->db);

		$squery = <<<query
UQS:(title(barack) and summary(obama) and (barack or obama)) and president
query;

		$query = new \MetaNull\News\newsQuery();
		$query->query = $squery;
		$query->engine_id = "GoogleNews";
		$query->source_id = 1;

		$hour = date('H');
		$minute = date('i');
		$second = 0;
		$day = date('d');
		$month = date('m');
		$year = date('Y');
		$query->end_date = mktime($hour, $minute, $second, $month, $day, $year);
		if (--$day <= 0) {
			$day = 1;
			if (--$month <= 0) {
				$month = 1;
				$year--;
			}
		}
		$query->start_date = mktime($hour, $minute, $second, $month, $day, $year);

		/*
		$config = \MetaNull\Tools\mConfig::loadConfiguration(APPLICATION_NEWS_CONFIG_FILE, APPLICATION_CONFIG_FORMAT, 'news_config');
		$adapter = new newsAdapter($query, $config);
		$xml = $adapter->fetchNews();
		$printer = new \MetaNull\Tools\xslTransform($xml, 'xhtml-test', \MetaNull\Tools\xslTransform::FORMAT_XHTML, $config);
		$tpl->data['news_result'] = $printer->transform();*/

		//\MetaNull\Tools\mDump::dumpVariable($printer->transform());

		/*$test = statics::getEngine('LexisNexis');
                        \MetaNull\Tools\mDump::dumpVariable($test);*/

		/*$tpl->data['user_name'] = $this->user->get_preference('general/firstname') . ' ' .
				$this->user->get_preference('general/lastname');

		$tpl->data['no_rows'] = $this->db->count_rows('user_preferences');

		$country = statics::get_country('be');

		$tpl->data['country_object'] = \MetaNull\Tools\mDump::dumpVariable($country, true, false);
		$tpl->data['templateurl'] = $this->getTemplatesUrl();
		$tpl->data['img_path'] = $this->config['templates']['baseurl'] . '/' . $this->config['templates']['default'] . '/images';

		//$this->info_setJavascript('/scripts/commons.js');
		$this->info_setJavascript('/scripts/multi_ajax.js');
		$this->info_setJavascript('/scripts/test.js');
		$this->info_setJavascript('/scripts/briefcase.js');
		//$this->info_setJavascript('/scripts/xpath.js');

		$multiAjaxSearch1 = new multiAjaxSearch('title(obama)', 2, $this->config['application']['service_url'], 'search1', false, time() - 3600 * 24, time());
		$multiAjaxSearch2 = new multiAjaxSearch('title(obama)', 4, $this->config['application']['service_url'], 'search1', false, time() - 3600 * 24, time());
		$multiAjaxSearch3 = new multiAjaxSearch('title(obama)', 101, $this->config['application']['service_url'], 'search1', false, time() - 3600 * 24, time());
		$multiAjaxSearch4 = new multiAjaxSearch('title(obama)', 220, $this->config['application']['service_url'], 'search1', false, time() - 3600 * 24, time());
		$multiAjaxSearch5 = new multiAjaxSearch('title(obama)', 5, $this->config['application']['service_url'], 'search1', false, time() - 3600 * 24, time());
		$multiAjaxSearch6 = new multiAjaxSearch('France 24', 10, $this->config['application']['service_url'], 'search1');

		$multiAjaxCall = new multiAjaxCall();

		$multiAjaxCall->addURL(new multiAjaxURL($multiAjaxSearch1->getURL(), 'get', false));
		$multiAjaxCall->addURL(new multiAjaxURL($multiAjaxSearch2->getURL(), 'get', false));
		$multiAjaxCall->addURL(new multiAjaxURL($multiAjaxSearch3->getURL(), 'get', false));
		$multiAjaxCall->addURL(new multiAjaxURL($multiAjaxSearch4->getURL(), 'get', false));
		$multiAjaxCall->addURL(new multiAjaxURL($multiAjaxSearch5->getURL(), 'get', false));
		$multiAjaxCall->addURL(new multiAjaxURL($multiAjaxSearch6->getURL(), 'get', false));

		$multiAjaxCall->setOnBegin('document.getElementById("loading").style.display = "block";');
		$multiAjaxCall->setOnEnd('document.getElementById("loading").style.display = "none";');
		$multiAjaxCall->setProcessResult('testGetNews');

		$this->addMultiAjaxCall($multiAjaxCall);*/



		$tpl->loadTemplate( $this->getTemplateFilePath( 'main.html' ));
		$this->setDefaultLayout('module.html');
		try {
			$tpl->data['LDAP'] = '';
			$ldap_attributes = array( "user_id"=>"uid",
				"user_group"=>"cudgroup",
				"user_class"=>"objectclass",
				"title"=>"title", "first_name"=>"givenname", "last_name"=>"sn", "display_name"=>"cn",
				"email"=>"mail", "phone"=>"telephonenumber", "country"=>"c",
				"organisation"=>"sourceorganisation","directorate_general"=>"dg","directorate"=>"dir","unit"=>"div",
				"department"=>"departmentnumber", "manager_id"=>"manager",
				"building"=>"building","floor"=>"floor","office"=>"room",
				"address"=>"physicaldeliveryofficename",
				"dn"=>"dn"
			);
			/* @var $ldap \MetaNull\Net\mLDAP */
			$ldap = new \MetaNull\Net\mLDAP( 'cedtest.cec.eu.int', 10389 );
			$ldap->connect( 'uid=RELEX_TARIQUA,ou=TrustedApps,o=cec.eu.int', 'Y71Ah9mVet');

			$attributes = $ldap_attributes;
			sort( $attributes );
			$tpl->data['LDAP'] = print_r($ldap->search( 'ou=People,o=cec.eu.int', '(|(uid=havelpa)(cn=HAVELANGE*))', $attributes ), true);
		} catch( \Exception $e) {
			$tpl->data['LDAP'] .= "\nException: " . (string)$e ;
		}

		return $tpl->transform();
	}

	/**
	 * Process all requests (this is the default module)
	 */
	public function canProcessRequest() {
		return array_key_exists('module', $_GET) && $_GET['module'] == $this->getName();
	}

	/**
	 * Returns the name of the class (what it should appear in the menu
	 * @access public
	 * @return string
	 */
	public function getName() {
		return 'dummy';
	}

	/**
	 * Returns the title of the page
	 * @access public
	 * @return string
	 */
	public function getTitle() {
		return 'Dummy example page';
	}

	/**
	 * Returns the description of the page
	 * @access public
	 * @return string
	 */
	public function getDescription() {
		return 'This is a sample page for testing purposes';
	}

	/**
	 * Gets the link of the module
	 * @access public
	 * @return string
	 */
	public function getLink() {
		return statics::URL('index.php', 'module=dummy');
	}

	/**
	 * Return the items of the current breadcrumb path
	 * @return tariqa3ModuleDescriptor[]
	 */
	public function getBreadCrumb() {
		$breadCrumb = array();
		$breadCrumb[] = new tariqa3ModuleDescriptor($this);
		$b = new tariqa3ModuleDescriptor();
		$b->label = 'Results';
		$breadCrumb[] = $b;


		return $breadCrumb;
	}

}

}

?>