<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
*/

namespace tariqa3{


/**
 * Class used for generating a screen cast page
 * @package tariqa3
 * @author Pascal Havelange, Cosmin Popescu
 * @copyright © EUROPEAN COMMISSION, 2009-2010
 * @license http://ec.europa.eu/idabc/eupl
 */
class Screencasts extends SpecialPage {
    /**
     * Constructs the object
     * @param string $page_id The page identifier
     * @param array $config The configuration array
     * @access public
     * @return void
     */
    public function __construct($page_id, $config) {
	$this->blacklisted_infos['onload'] = true;
	parent::__construct($page_id, $config);
    }

    /**
     * Renders the page (sets all the template data)
     * @access protected
     * @return void
     */
    protected function renderPage() {
	/*header('Content-Type: application/x-shockwave-flash');
	header('Content-Disposition: inline;');*/
	$this->setTemplate($this->getTemplateFilePath('Screencasts.html'));
	$this->template->data['file'] = $_GET['s'];
	/*$folder = $this->own_config['folder'];
	if (substr($folder, -1) != '/') {
	    $folder .= '/';
	}
	$content = file_get_contents($folder . $_GET['s']);
	echo $content;
	die();*/
    }

    /**
     * Initializes the module
     * @access public
     * @return void
     */
    public function onInitialize() {
	parent::onInitialize();
	//statics::load_user_prefs($this->user, $this->db);
	$this->setDefaultLayout('empty_page.html');
    }

}
}
?>