<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    /**
    * Containes information about about
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */

    class GlobalAtlas {
        /**
        * The map title
        * @var string
        * */
        public $title;

        /**
         * Country name
         * @var string
        */
        public $country_name;

        /**
         * Map link
         * @var string
        */
        public $link;

        /**
         * The map theme
         * @var string
        */
        public $theme;

        /**
         * The map subtheme
         * @var string
        */
        public $subtheme;

        /**
         * The map source
         * @var string
        */
        public $source;

        /**
         * The publicaation date (UNIX timestamp)
         * @var int
        */
        public $pubDate;

        /**
         * The map image
         * @var string
        */
        public $image;

        /**
         * The map description
         * @var string
        */
        public $description;

        /**
         * The map scale
         * @var string
        */
        public $scale;

    }

?>