<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Encloses the results of a Search operation on the LExisNexis engine
	 * */
	class LexisNexisSearchResult {
	
		/**
		 * Search ID
		 * @var string
		 */
		public $searchId;
		
		/**
		 * Number of documents found
		 * @var int
		 */
		public $documentsFound;
		
		/**
		 * Constructor
		 * @param string $searchId Search Id
		 * @param int $documentsFound Number of documents found
		 * @return void
		 */
		public function __construct( $searchId = null, $documentsFound = null ) {
			$this->searchId = $searchId;
			$this->documentsFound = $documentsFound;
		}
	}
?>