<?php
    /**
    * Containes information about a newsletter category
    * @author Cosmin Popescu (cosminadrianpopescu@gmail.com)
    * @copyright Copyright 2009, All rights reserved
    * */
    
    class CategoryNewsletter {
    	/**
    	 * The category identifier
    	 * @var int
    	 * @access public
    	*/
    	public $id;
    	
    	/**
    	 * The category name
    	 * @var string
    	 * @access public
    	*/
    	public $name;
    	
    	/**
    	 * The default template for the category
    	 * @var string
    	 * @access public
    	*/
    	public $template;
    }

?>