<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    /**
    * Containes information about an users cached in system
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */

    class SystemCacheUser {
        /**
        * The user identifier
        * @var string
        * */
        public $user_id;

        /**
         * The date and time at which the users was cached (UNIX timestamp)
         * @var int
        */
        public $creation_time;

        /**
         * The title from LDAP
         * @var string
        */
        public $ldap_title;

        /**
         * The first name from LDAP
         * @var string
        */
        public $ldap_firstname;

        /**
         * The last name from LDAP
         * @var string
        */
        public $ldap_lastname;

		/**
		 * The display name from LDAP
		 * @var string
		*/
		public $ldap_displayname;

		/**
		 * The department from LDAP
		 * @var string
		*/
		public $ldap_department;

		/**
		 * The e-mail from LDAP
		 * @var string
		*/
		public $ldap_email;

		/**
		 * The phone from LDAP
		 * @var string
		*/
		public $ldap_phone;

		/**
		 * The office attribute from LDAP
		 * @var string
		*/
		public $ldap_office;

		/**
		 * The group from LDAP
		 * @var string[]
		*/
		public $ldap_group;

    }

?>