<?php
	/**
	 * Class factiva_CompanyBasicsSection
	 */
	class factiva_CompanyBasicsSection {
	
		/**
		 * @var string $name 
		 */
		public $name;
	
		/**
		 * @var string $tradingName 
		 */
		public $tradingName;
	
		/**
		 * @var factiva_BusinessDescription $businessDescription 
		 */
		public $businessDescription;
	
		/**
		 * @var string $companyCode 
		 */
		public $companyCode;
	
		/**
		 * @var string $dunsNumber 
		 */
		public $dunsNumber;
	
		/**
		 * @var factiva_CompanyCodeDescriptor $ultimateParent 
		 */
		public $ultimateParent;
	
		/**
		 * @var string $listingStatus (ListingStatus)
		 */
		public $listingStatus;
	
		/**
		 * @var factiva_PublicListing $publicListing 
		 */
		public $publicListing;
	
		/**
		 * @var factiva_IndustryCodeDescriptor $primaryIndustry 
		 */
		public $primaryIndustry;
	
		/**
		 * @var factiva_IndustryCodeDescriptor $secondaryIndustry 
		 */
		public $secondaryIndustry;
	
		/**
		 * @var factiva_Address $address 
		 */
		public $address;
	
		/**
		 * @var factiva_Address $mailingAddress 
		 */
		public $mailingAddress;
	
		/**
		 * @var factiva_PhoneNumber $phoneNumber 
		 */
		public $phoneNumber;
	
		/**
		 * @var factiva_PhoneNumber $faxNumber 
		 */
		public $faxNumber;
	
		/**
		 * @var factiva_Contact $mainContact 
		 */
		public $mainContact;
	
		/**
		 * @var factiva_CategorizedWebSite $webSite 
		 */
		public $webSite;
	
		/**
		 * @var factiva_EntityIdentifier $topShareholder 
		 */
		public $topShareholder;
	
		/**
		 * @var factiva_Executive $keyExecutive 
		 */
		public $keyExecutive;
	}
?>