<?php
	/**
	 * Class factiva_PCIBalanceSheetItems
	 */
	class factiva_PCIBalanceSheetItems {
	
		/**
		 * @var double $cash 
		 */
		public $cash;
	
		/**
		 * @var double $accountsReceivable 
		 */
		public $accountsReceivable;
	
		/**
		 * @var double $totalInventory 
		 */
		public $totalInventory;
	
		/**
		 * @var double $prepaidExpenses 
		 */
		public $prepaidExpenses;
	
		/**
		 * @var double $prepaidExpensesAndOtherCurrentAssets 
		 */
		public $prepaidExpensesAndOtherCurrentAssets;
	
		/**
		 * @var double $deferredStateIncomeTaxCurrentAsset 
		 */
		public $deferredStateIncomeTaxCurrentAsset;
	
		/**
		 * @var double $deferredIncomeTaxCurrentAsset 
		 */
		public $deferredIncomeTaxCurrentAsset;
	
		/**
		 * @var double $incomeTaxReceivable 
		 */
		public $incomeTaxReceivable;
	
		/**
		 * @var double $refundableIncomeTax 
		 */
		public $refundableIncomeTax;
	
		/**
		 * @var double $depositEquipment 
		 */
		public $depositEquipment;
	
		/**
		 * @var double $dueFromAffiliate 
		 */
		public $dueFromAffiliate;
	
		/**
		 * @var double $dueFromEmployee 
		 */
		public $dueFromEmployee;
	
		/**
		 * @var double $dueFromOfficers 
		 */
		public $dueFromOfficers;
	
		/**
		 * @var double $dueFromShareholders 
		 */
		public $dueFromShareholders;
	
		/**
		 * @var double $employeeAdvances 
		 */
		public $employeeAdvances;
	
		/**
		 * @var double $marketableSecurities 
		 */
		public $marketableSecurities;
	
		/**
		 * @var double $notesReceivableShortTerm 
		 */
		public $notesReceivableShortTerm;
	
		/**
		 * @var double $notesReceivableAffiliateShortTerm 
		 */
		public $notesReceivableAffiliateShortTerm;
	
		/**
		 * @var double $reimbursableToolingCosts 
		 */
		public $reimbursableToolingCosts;
	
		/**
		 * @var double $totalOtherCurrentAssets 
		 */
		public $totalOtherCurrentAssets;
	
		/**
		 * @var double $totalCurrentAssets 
		 */
		public $totalCurrentAssets;
	
		/**
		 * @var double $fixturesAndEquipment 
		 */
		public $fixturesAndEquipment;
	
		/**
		 * @var double $assetsHeldForSale 
		 */
		public $assetsHeldForSale;
	
		/**
		 * @var double $cashSurrenderValueOfLifeInsurance 
		 */
		public $cashSurrenderValueOfLifeInsurance;
	
		/**
		 * @var double $deferredIncomeTaxLongTermAsset 
		 */
		public $deferredIncomeTaxLongTermAsset;
	
		/**
		 * @var double $deposits 
		 */
		public $deposits;
	
		/**
		 * @var double $goodwill 
		 */
		public $goodwill;
	
		/**
		 * @var double $netGoodwill 
		 */
		public $netGoodwill;
	
		/**
		 * @var double $otherLongTermInvestments 
		 */
		public $otherLongTermInvestments;
	
		/**
		 * @var double $loanReceivableAffiliate 
		 */
		public $loanReceivableAffiliate;
	
		/**
		 * @var double $otherLongTermAssets 
		 */
		public $otherLongTermAssets;
	
		/**
		 * @var double $pensionLongTermAsset 
		 */
		public $pensionLongTermAsset;
	
		/**
		 * @var double $netPropertyPlantEquipment 
		 */
		public $netPropertyPlantEquipment;
	
		/**
		 * @var double $realEstate 
		 */
		public $realEstate;
	
		/**
		 * @var double $totalOtherAssets 
		 */
		public $totalOtherAssets;
	
		/**
		 * @var double $totalAssets 
		 */
		public $totalAssets;
	
		/**
		 * @var double $accountsPayable 
		 */
		public $accountsPayable;
	
		/**
		 * @var double $accountsPayableAndAccruedExpenses 
		 */
		public $accountsPayableAndAccruedExpenses;
	
		/**
		 * @var double $accruedExpensesAndOtherCurrentLiabilities 
		 */
		public $accruedExpensesAndOtherCurrentLiabilities;
	
		/**
		 * @var double $accruals 
		 */
		public $accruals;
	
		/**
		 * @var double $bankLoan 
		 */
		public $bankLoan;
	
		/**
		 * @var double $customerDeposits 
		 */
		public $customerDeposits;
	
		/**
		 * @var double $deferredRevenue 
		 */
		public $deferredRevenue;
	
		/**
		 * @var double $demandNotePayable 
		 */
		public $demandNotePayable;
	
		/**
		 * @var double $distributionPayable 
		 */
		public $distributionPayable;
	
		/**
		 * @var double $taxes 
		 */
		public $taxes;
	
		/**
		 * @var double $dueToAffiliate 
		 */
		public $dueToAffiliate;
	
		/**
		 * @var double $longTermLiabilitiesDueWithin1Year 
		 */
		public $longTermLiabilitiesDueWithin1Year;
	
		/**
		 * @var double $loansAndAdvancesPrincipal 
		 */
		public $loansAndAdvancesPrincipal;
	
		/**
		 * @var double $longTermObligations 
		 */
		public $longTermObligations;
	
		/**
		 * @var double $mortgagePayable 
		 */
		public $mortgagePayable;
	
		/**
		 * @var double $notesPayable 
		 */
		public $notesPayable;
	
		/**
		 * @var double $notesPayableBank 
		 */
		public $notesPayableBank;
	
		/**
		 * @var double $notesPayableOfficers 
		 */
		public $notesPayableOfficers;
	
		/**
		 * @var double $shortTermDebt 
		 */
		public $shortTermDebt;
	
		/**
		 * @var double $subordinatedDebtStockholder 
		 */
		public $subordinatedDebtStockholder;
	
		/**
		 * @var double $otherCurrentLiabilities 
		 */
		public $otherCurrentLiabilities;
	
		/**
		 * @var double $totalCurrentLiabilities 
		 */
		public $totalCurrentLiabilities;
	
		/**
		 * @var double $deferredStateIncomeTaxLongTermLiability 
		 */
		public $deferredStateIncomeTaxLongTermLiability;
	
		/**
		 * @var double $deferredCreditsIncome 
		 */
		public $deferredCreditsIncome;
	
		/**
		 * @var double $otherLongTermLiabilities 
		 */
		public $otherLongTermLiabilities;
	
		/**
		 * @var double $shareholdersEquity 
		 */
		public $shareholdersEquity;
	
		/**
		 * @var double $totalEquity 
		 */
		public $totalEquity;
	
		/**
		 * @var double $capitalStock 
		 */
		public $capitalStock;
	
		/**
		 * @var double $memberOverdistribution 
		 */
		public $memberOverdistribution;
	
		/**
		 * @var double $commonStock 
		 */
		public $commonStock;
	
		/**
		 * @var double $preferredStock 
		 */
		public $preferredStock;
	
		/**
		 * @var double $treasuryStock 
		 */
		public $treasuryStock;
	
		/**
		 * @var double $accumulatedOtherComprehensiveIncome 
		 */
		public $accumulatedOtherComprehensiveIncome;
	
		/**
		 * @var double $accumulatedOtherComprehensiveLoss 
		 */
		public $accumulatedOtherComprehensiveLoss;
	
		/**
		 * @var double $otherComprehensiveLoss 
		 */
		public $otherComprehensiveLoss;
	
		/**
		 * @var double $longTermDebt 
		 */
		public $longTermDebt;
	
		/**
		 * @var double $currentPortion 
		 */
		public $currentPortion;
	
		/**
		 * @var double $deferredCompensation 
		 */
		public $deferredCompensation;
	
		/**
		 * @var double $mortgages 
		 */
		public $mortgages;
	
		/**
		 * @var double $longTermBorrowings 
		 */
		public $longTermBorrowings;
	
		/**
		 * @var double $pensionLiability 
		 */
		public $pensionLiability;
	
		/**
		 * @var double $pensionObligation 
		 */
		public $pensionObligation;
	
		/**
		 * @var double $retainedEarnings 
		 */
		public $retainedEarnings;
	
		/**
		 * @var double $undistributedS-CorpEarnings 
		 */
		public $undistributedS-CorpEarnings;
	
		/**
		 * @var double $notePayableEquipmentVehicle 
		 */
		public $notePayableEquipmentVehicle;
	
		/**
		 * @var double $additionalPaidInCapital 
		 */
		public $additionalPaidInCapital;
	
		/**
		 * @var double $totalLongTermLiabilities 
		 */
		public $totalLongTermLiabilities;
	
		/**
		 * @var double $totalLiabilities 
		 */
		public $totalLiabilities;
	
		/**
		 * @var double $workingCapital 
		 */
		public $workingCapital;
	
		/**
		 * @var double $netWorth 
		 */
		public $netWorth;
	}
?>