<?php
	/**
	 * Class factiva_UtilityIncomeStatementItems
	 */
	class factiva_UtilityIncomeStatementItems {
	
		/**
		 * @var double $exciseTaxesReceipts 
		 */
		public $exciseTaxesReceipts;
	
		/**
		 * @var double $electricOperations 
		 */
		public $electricOperations;
	
		/**
		 * @var double $gasOperations 
		 */
		public $gasOperations;
	
		/**
		 * @var double $waterOperations 
		 */
		public $waterOperations;
	
		/**
		 * @var double $steamOperations 
		 */
		public $steamOperations;
	
		/**
		 * @var double $otherUtilityRevenue 
		 */
		public $otherUtilityRevenue;
	
		/**
		 * @var double $totalRevenueNetSalesEquivalents 
		 */
		public $totalRevenueNetSalesEquivalents;
	
		/**
		 * @var double $otherNonUtilityRevenue 
		 */
		public $otherNonUtilityRevenue;
	
		/**
		 * @var double $nonBankInterestIncome 
		 */
		public $nonBankInterestIncome;
	
		/**
		 * @var double $totalOtherRevenue 
		 */
		public $totalOtherRevenue;
	
		/**
		 * @var double $totalRevenue 
		 */
		public $totalRevenue;
	
		/**
		 * @var double $purchasedPower 
		 */
		public $purchasedPower;
	
		/**
		 * @var double $fuelPurchasedForResale 
		 */
		public $fuelPurchasedForResale;
	
		/**
		 * @var double $costOfRevenue 
		 */
		public $costOfRevenue;
	
		/**
		 * @var double $exciseTaxesPayments 
		 */
		public $exciseTaxesPayments;
	
		/**
		 * @var double $totalCostOfRevenue 
		 */
		public $totalCostOfRevenue;
	
		/**
		 * @var double $fuelExpense 
		 */
		public $fuelExpense;
	
		/**
		 * @var double $operationsAndMaintenance 
		 */
		public $operationsAndMaintenance;
	
		/**
		 * @var double $sellingGeneralAdministrativeExpense 
		 */
		public $sellingGeneralAdministrativeExpense;
	
		/**
		 * @var double $laborAndRelatedExpense 
		 */
		public $laborAndRelatedExpense;
	
		/**
		 * @var double $advertisingExpense 
		 */
		public $advertisingExpense;
	
		/**
		 * @var double $totalSellingGeneralAdministrativeExpenses 
		 */
		public $totalSellingGeneralAdministrativeExpenses;
	
		/**
		 * @var double $researchAndDevelopment 
		 */
		public $researchAndDevelopment;
	
		/**
		 * @var double $depreciation 
		 */
		public $depreciation;
	
		/**
		 * @var double $amortizationOfIntangibles 
		 */
		public $amortizationOfIntangibles;
	
		/**
		 * @var double $amortizationOfAcquisitionCosts 
		 */
		public $amortizationOfAcquisitionCosts;
	
		/**
		 * @var double $totalDepreciationAmortization 
		 */
		public $totalDepreciationAmortization;
	
		/**
		 * @var double $operatingInterestExpense 
		 */
		public $operatingInterestExpense;
	
		/**
		 * @var double $operatingInterestCapitalized 
		 */
		public $operatingInterestCapitalized;
	
		/**
		 * @var double $netOperatingInterestExpense 
		 */
		public $netOperatingInterestExpense;
	
		/**
		 * @var double $operatingInterestIncome 
		 */
		public $operatingInterestIncome;
	
		/**
		 * @var double $operatingInvestmentIncome 
		 */
		public $operatingInvestmentIncome;
	
		/**
		 * @var double $operatingInterestInvestmentIncome 
		 */
		public $operatingInterestInvestmentIncome;
	
		/**
		 * @var double $totalNetOperatingInterestExpense 
		 */
		public $totalNetOperatingInterestExpense;
	
		/**
		 * @var double $purchasedResearchAndDevelopmentWrittenOff 
		 */
		public $purchasedResearchAndDevelopmentWrittenOff;
	
		/**
		 * @var double $restructuringCharge 
		 */
		public $restructuringCharge;
	
		/**
		 * @var double $litigation 
		 */
		public $litigation;
	
		/**
		 * @var double $impairmentAssetsHeldForUse 
		 */
		public $impairmentAssetsHeldForUse;
	
		/**
		 * @var double $impairmentAssetsHeldForSale 
		 */
		public $impairmentAssetsHeldForSale;
	
		/**
		 * @var double $otherUnusualExpense 
		 */
		public $otherUnusualExpense;
	
		/**
		 * @var double $totalUnusualExpense 
		 */
		public $totalUnusualExpense;
	
		/**
		 * @var double $propertyAndOtherTaxes 
		 */
		public $propertyAndOtherTaxes;
	
		/**
		 * @var double $otherOperatingExpense 
		 */
		public $otherOperatingExpense;
	
		/**
		 * @var double $totalOtherOperatingExpenses 
		 */
		public $totalOtherOperatingExpenses;
	
		/**
		 * @var double $totalOperatingExpense 
		 */
		public $totalOperatingExpense;
	
		/**
		 * @var double $operatingIncome 
		 */
		public $operatingIncome;
	
		/**
		 * @var double $nonOperatingInterestExpense 
		 */
		public $nonOperatingInterestExpense;
	
		/**
		 * @var double $nonOperatingInterestCapitalized 
		 */
		public $nonOperatingInterestCapitalized;
	
		/**
		 * @var double $netNonOperatingInterestExpense 
		 */
		public $netNonOperatingInterestExpense;
	
		/**
		 * @var double $nonOperatingInterestIncome 
		 */
		public $nonOperatingInterestIncome;
	
		/**
		 * @var double $nonOperatingInvestmentIncome 
		 */
		public $nonOperatingInvestmentIncome;
	
		/**
		 * @var double $nonOperatingInterestInvestmentIncome 
		 */
		public $nonOperatingInterestInvestmentIncome;
	
		/**
		 * @var double $netNonOperatingInterestIncome 
		 */
		public $netNonOperatingInterestIncome;
	
		/**
		 * @var double $gainOnSaleOfAssets 
		 */
		public $gainOnSaleOfAssets;
	
		/**
		 * @var double $allowanceForFundsUsedDuringConstruction 
		 */
		public $allowanceForFundsUsedDuringConstruction;
	
		/**
		 * @var double $foreignCurrencyAdjustmentNonOperatingIncomeExpense 
		 */
		public $foreignCurrencyAdjustmentNonOperatingIncomeExpense;
	
		/**
		 * @var double $minimumPensionLiabilityAdjustmentNonOperatingIncomeExpense 
		 */
		public $minimumPensionLiabilityAdjustmentNonOperatingIncomeExpense;
	
		/**
		 * @var double $otherNonOperatingIncome 
		 */
		public $otherNonOperatingIncome;
	
		/**
		 * @var double $netOtherNonOperatingIncome 
		 */
		public $netOtherNonOperatingIncome;
	
		/**
		 * @var double $incomeBeforeTax 
		 */
		public $incomeBeforeTax;
	
		/**
		 * @var double $totalIncomeTax 
		 */
		public $totalIncomeTax;
	
		/**
		 * @var double $incomeAfterTax 
		 */
		public $incomeAfterTax;
	
		/**
		 * @var double $minorityInterest 
		 */
		public $minorityInterest;
	
		/**
		 * @var double $equityInAffiliates 
		 */
		public $equityInAffiliates;
	
		/**
		 * @var double $usgaapAdjustment 
		 */
		public $usgaapAdjustment;
	
		/**
		 * @var double $netIncomeBeforeExtraordinatryItems 
		 */
		public $netIncomeBeforeExtraordinatryItems;
	
		/**
		 * @var double $accountingChange 
		 */
		public $accountingChange;
	
		/**
		 * @var double $discontinuedOperations 
		 */
		public $discontinuedOperations;
	
		/**
		 * @var double $extraordinaryItem 
		 */
		public $extraordinaryItem;
	
		/**
		 * @var double $taxOnExtraordinaryItems 
		 */
		public $taxOnExtraordinaryItems;
	
		/**
		 * @var double $totalExtraordinaryItems 
		 */
		public $totalExtraordinaryItems;
	
		/**
		 * @var double $netIncome 
		 */
		public $netIncome;
	
		/**
		 * @var double $preferredDividends 
		 */
		public $preferredDividends;
	
		/**
		 * @var double $generalPartnersDistributions 
		 */
		public $generalPartnersDistributions;
	
		/**
		 * @var double $miscellaneousEarningsAdjustment 
		 */
		public $miscellaneousEarningsAdjustment;
	
		/**
		 * @var double $proFormaAdjustment 
		 */
		public $proFormaAdjustment;
	
		/**
		 * @var double $interestAdjustmentPrimaryEPS 
		 */
		public $interestAdjustmentPrimaryEPS;
	
		/**
		 * @var double $totalAdjustmentsToNetIncome 
		 */
		public $totalAdjustmentsToNetIncome;
	
		/**
		 * @var double $incomeAvailableToCommonExcludingExtraordinaryItems 
		 */
		public $incomeAvailableToCommonExcludingExtraordinaryItems;
	
		/**
		 * @var double $incomeAvailableToCommonIncludingExtraordinaryItems 
		 */
		public $incomeAvailableToCommonIncludingExtraordinaryItems;
	
		/**
		 * @var double $basicWeightedAverageShares 
		 */
		public $basicWeightedAverageShares;
	
		/**
		 * @var double $basicEPSExcludingExtraordinaryItems 
		 */
		public $basicEPSExcludingExtraordinaryItems;
	
		/**
		 * @var double $basicEPSIncludingExtraordinaryItems 
		 */
		public $basicEPSIncludingExtraordinaryItems;
	
		/**
		 * @var double $dilutionAdjustment 
		 */
		public $dilutionAdjustment;
	
		/**
		 * @var double $dilutedNetIncome 
		 */
		public $dilutedNetIncome;
	
		/**
		 * @var double $dilutedWeightedAverageShares 
		 */
		public $dilutedWeightedAverageShares;
	
		/**
		 * @var double $dilutedEPSExcludingExtraordinaryItems 
		 */
		public $dilutedEPSExcludingExtraordinaryItems;
	
		/**
		 * @var double $dilutedEPSIncludingExtraordinaryItems 
		 */
		public $dilutedEPSIncludingExtraordinaryItems;
	
		/**
		 * @var double $dividendsPerShareCommonStockPrimaryIssue 
		 */
		public $dividendsPerShareCommonStockPrimaryIssue;
	
		/**
		 * @var double $dividendsPerShareCommonStockIssue2 
		 */
		public $dividendsPerShareCommonStockIssue2;
	
		/**
		 * @var double $dividendsPerShareCommonStockIssue3 
		 */
		public $dividendsPerShareCommonStockIssue3;
	
		/**
		 * @var double $dividendsPerShareCommonStockIssue4 
		 */
		public $dividendsPerShareCommonStockIssue4;
	
		/**
		 * @var double $grossDividendsCommonStock 
		 */
		public $grossDividendsCommonStock;
	
		/**
		 * @var double $stockBasedCompensationExpense 
		 */
		public $stockBasedCompensationExpense;
	
		/**
		 * @var double $netIncomeAfterStockBasedCompensationExpense 
		 */
		public $netIncomeAfterStockBasedCompensationExpense;
	
		/**
		 * @var double $basicEPSAfterStockBasedCompensationExpense 
		 */
		public $basicEPSAfterStockBasedCompensationExpense;
	
		/**
		 * @var double $dilutedEPSAfterStockBasedCompensationExpense 
		 */
		public $dilutedEPSAfterStockBasedCompensationExpense;
	
		/**
		 * @var double $supplementalInterestExpense 
		 */
		public $supplementalInterestExpense;
	
		/**
		 * @var double $supplementalInterestCapitalized 
		 */
		public $supplementalInterestCapitalized;
	
		/**
		 * @var double $supplementalDepreciation 
		 */
		public $supplementalDepreciation;
	
		/**
		 * @var double $totalSpecialItems 
		 */
		public $totalSpecialItems;
	
		/**
		 * @var double $normalizedIncomeBeforeTax 
		 */
		public $normalizedIncomeBeforeTax;
	
		/**
		 * @var double $effectOfSpecialItemsOnIncomeTaxes 
		 */
		public $effectOfSpecialItemsOnIncomeTaxes;
	
		/**
		 * @var boolean $areSpecialItemsEnteredByAnalyst 
		 */
		public $areSpecialItemsEnteredByAnalyst;
	
		/**
		 * @var double $incomeTaxesExcludingImpactOfSpecialItems 
		 */
		public $incomeTaxesExcludingImpactOfSpecialItems;
	
		/**
		 * @var double $normalizedIncomeAfterTaxes 
		 */
		public $normalizedIncomeAfterTaxes;
	
		/**
		 * @var double $normalizedIncomeAvailableToCommon 
		 */
		public $normalizedIncomeAvailableToCommon;
	
		/**
		 * @var double $basicNormalizedEPS 
		 */
		public $basicNormalizedEPS;
	
		/**
		 * @var double $dilutedNormalizedEPS 
		 */
		public $dilutedNormalizedEPS;
	
		/**
		 * @var double $supplementalAmortizationOfAcquisitionCost 
		 */
		public $supplementalAmortizationOfAcquisitionCost;
	
		/**
		 * @var double $supplementalAmortizationOfIntangibles 
		 */
		public $supplementalAmortizationOfIntangibles;
	
		/**
		 * @var double $rentalExpenses 
		 */
		public $rentalExpenses;
	
		/**
		 * @var double $supplementalEPS 
		 */
		public $supplementalEPS;
	}
?>