<?php
	/**
	 * Encloses the name and message elements.
	 * @see WSKRationaleList
	 * */
	class WSKRationale {
		
		/**
		 * Contains the name of the rationale.
		 * Example: CorrectedQueryDiag
		 * @var string
		 * */
		public $name;
		
		/**
		 * This is the message associated with this rationale.
		 * Example: CATS AND DOGS AND DATE IS 2004
		 * @var string
		 * */
		public $message;
		
		/**
		 * Constructs a rationale object
		 * @param string $name
		 * @param string $message
		 * */
		public function __construct( $name = null, $message = null ) {
			$this->name = $name;
			$this->message = $message;
		}
	}
?>