<?php
	/**
	 * Encloses one or more sourceGuide elements.
	 * @see WSKGetSourceDetailsResponse
	 * */
	class WSKSourceGuideList {
		
		/**
		 * Contains a description of the content of a specific source.
		 * @var string[] A string or an array of strings
		 * */
		public $sourceGuide;
		
		/**
		 * Constructs a sourceGuideList object
		 * @param string[] $sourceGuide Contains a description of the content of a specific source.
		 * */
		public function __construct( $sourceGuide = null ) {
			$this->sourceGuide = null === $sourceGuide ? array() : $sourceGuide;
		}
	}
?>