<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Containes information about a country
	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2008.
	 * */
	class Country2 {

		/**
		 * ISO 3166(2 alpha)
		 * @var string
		 * */
		public $code_iso2;
		
		/**
		 * Name of the country in english
		 * @var string
		 * */
		public $name;
		
		/**
		 * ISO2 Id of the Country 'owning' this land
		 * @var string
		 * */
		public $parent_code_iso2;
		
		/**
		 * Continent Id
		 * @var string
		 * @see Continent
		 * */
		public $continent_id;
		
		/**
		 * Id of the cluster to which the country is belonging to
		 * @var int
		 * */
		public $cluster_id;
		
	}
?>