<?php

	/**
	 * Placeholder for Tarîqa data sources blocks (used in Thematic pages, country pages, ...)
	 * @see ThematicMonitoringItem
	 * @see CountryMonitoringItem
	 * */
	class DataBlock {
		
		/**
		 * Identifier of the data block
		 * @var int
		 * */
		public $id;
		
		/**
		 * The title/description of the block
		 * @var string
		 * */
		public $title;
		
		/**
		 * The query (syntax is "data provider dependant")
		 * @var string
		 * */
		public $query;
		
		/**
		 * Sort order of the current source in the page
		 * @var int
		 * */
		public $order;
		
		/**
		 * Data source descriptor
		 * @var DataSource
		 * */
		public $source;
		
	}
?>