<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


    /**
     * LexisNexis source details
     * */
    class LexisNexisSourceDetails {

        /**
         * Source ID
         * @var int
         * */
        public $id;

        /**
         * Source Name
         * @var string
         * */
        public $name;

        /**
         * Contains a description of the content of a specific source.
         * @var string[]
         * */
        public $sourceGuide;

        /**
         * Default constructor
         * @param int $id Source ID
         * @param string $name Source Name
         * @param string[] $sourceGuide Contains a description of the content of a specific source.
         * @return void
         * */
        public function __construct( $id = null, $name = null, $sourceGuide = null) {
            $this->id = $id;
            $this->name = $name;
            $this->sourceGuide = $sourceGuide;
        }
    }
?>