<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Place holder for Tarîqa's Monitoring Topics
	 * */
	class MonitoringItem {
		
		/**
		 * The identifier of the monitored Theme
		 * @var string
		 * */
		public $id;
		
		/**
		 * Title of the topic
		 * @var string
		 * */
		public $title;
		
		/**
		 * If not null the application should link to that url instead of trying to fetch the sources of the current monitoring
		 * @var string
		 * */
		public $url;
		
		/**
		 * The list of data blocks composing the current thematic monitoring topic
		 * @var DataBlock[]
		 * */
		public $dataBlocks;
	}
	
?>