<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    $add_functions = "";
    $path = "../../Tariqa/Tariqa.code/";
    $d = opendir($path);

    while ($f = readdir($d)){
    	if ($f != "." && $f != ".." && !is_dir($path . $f)){
	        $content = file_get_contents($path . $f);
	        $pattern = 'class[[:blank:]]*[^{]*{[^_]*__construct[^}]*}(.*)}';
	        if (ereg($pattern, $content, $reg)){
	            $add_functions .= $reg[1];
	        }
    	}
    }

    $content = file_get_contents("d:/Applications/tariqapro_soap/Tariqa/_Tariqa.class.php");
    $content = str_replace("//Additional functions", $add_functions, $content);
    $pattern = "<\\?php(.*)\\?>";
    
    if (ereg($pattern, $content, $reg)){
	    eval($reg[1]);
    	/*if (array_key_exists("save_output", $_GET)){
            $f = fopen("Tariqa.class.tmp.php", "wb");
            fwrite($f, $reg[0]);
            fclose($f);
        }
        else eval($reg[1]);*/
    }
    else error_log("Error loading the Tariqa main class. ");
?>