<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

/**
 * Containes information about a theme
 * @author Cosmin Popescu
 * @copyright © EUROPEAN COMMISSION, 2008.
 * */

class Theme {
	/**
	 * Theme title
	 * @var string
	 * */

	public $title;

	/**
	 * Theme description
	 * @var string
	 * */

	public $description;
	 
	/**
	 * Theme identifier
	 * @var int
	 * */
	 
	public $theme_id;

	/**
	 * Theme short text
	 * @var string
	 * */
	 
	public $short_text;

	/**
	 * Theme long text
	 * @var string
	 * */
	 
	public $long_text;

	/**
	 * Theme user defined query identifier
	 * @var int
	 */
	public $query_id;
}

?>