<?php
	/**
	 * Contains one or more sourceId elements which each identify a source to be searched.
	 * */
	class WSKSourceIdList {
		/**
		 * Contains one or more sourceId elements which each identify a source to be searched. 
		 * @var string[]
		 * */
		public $sourceId;
		
		/**
		 * Constructs a WSKSourceIdList object
		 * @param string[] $sources One or more sourceId elements which each identify a source to be searched.
		 * */
		public function __construct( $sources = null ) {
			$this->sourceId = null === $sources ? array() : $sources;
		}
	}
?>