function init_explorer(tree_id){
    var plugins_list = ['themes', 'html_data', 'ui', 'types', 'cookies'];
    //eval('tree_html_' + tree_id + ' = $(\'#\' + $escape(tree_id)).html();');
    $('#' + $escape(tree_id))
    .jstree({
        'types':{
            'valid_children': ['folder', 'file'],
            'types':{
                'folder': {
                    'valid_children': ['file', 'folder']
                },
                'file': {
                    'max_children': 0,
                    'icon': {
                        'image': 'themes/default/images/iconText.gif'
                    }
                }
            }
        },
        'ui':{
            'select_limit': -1,
            'disable_selecting_children': true,
            'select_multiple_modifier': (_isIE?'shift':'ctrl')
        },
        plugins: plugins_list
    }
    );
    changeStyle('.jstree a', null, 'line-height:16px; height:16px; color:black; white-space:nowrap; text-decoration:none; padding:1px 2px; margin:0;');
}

