var U = null;
var S = 'tariqa';

function initLoading(){
    var div = $('#loading');
    var w = $(document).width();
    var h = $(document).height();
    div.css('width', w);
    div.css('height', h);
    div.css('position', 'absolute');
    var img = $('#huge-loading-id');
    img.css('position', 'absolute');
    img.css('top', Math.round(h / 2) - 175);
    img.css('left', Math.round(w / 2) - 175);
    //div.show();    
}

function initForm(){
    $('#login-dialog').dialog({
	autoOpen: true,
	width: 510,
	height: 380,
	modal: true,
	title: 'Tariqa login',
	show: 'slide',
	hide: 'slide',
	closeOnEscape: false,
	draggable: false,
	resizable: false, 
	buttons: {
	    'Login': function (){
		doLogin();
	    }
	},
	beforeClose: function(event, ui){
	    return false;
	}
    });

    $('#recovery-dialog').dialog({
	autoOpen: false,
	width: 510,
	height: 380,
	modal: true,
	title: 'Recover your password',
	show: 'slide',
	hide: 'slide',
	draggable: false,
	resizable: false, 
	buttons: {
	    'Recover': function (){
		doRecover();
	    }
	}
    });
    
    $('#login-background').width($(document).width());
    $('#login-background').height($(document).height());

    $('#username').keypress(function(evt){
	loadIfEnter(evt, false);
    });

    $('#password').keypress(function(evt){
	loadIfEnter(evt, false);
    });

    $('#_username').keypress(function(evt){
	loadIfEnter(evt, true);
    });

    initLoading();
}

function doLogin(){
    $('#loading').show();
    $.ajax({
	url: URL('special_page.php', 's=' + S + '&module=login&d=&u=' + $('#username').val() + '&p=' + encodeURIComponent($('#password').val())),
	success: function(data){
	    if (data == 'failed'){
		$('#loading').hide();
		tariqaAlert('User or password not found', 'Error', TYPE_ALERT_ERROR);
	    }
	    else if (data == 'locked'){
		$('#loading').hide();
		tariqaAlert('Your user account has been locked', 'Error', TYPE_ALERT_ERROR);
	    }
	    else {
		js_open(U, '_self', 'get');
	    }
	}
    });
}

function doRecover(){
    $('#loading').show();
    $.ajax({
	url: URL('special_page.php', 'module=login&r=&u=' + $('#_username').val()),
	success: function(data){
	    $('#loading').hide();
	    if (data == 'not found'){
		tariqaAlert('The e-mail has not been found', 'Error', TYPE_ALERT_ERROR);
	    }
	    else if (data == 'sent') {
		tariqaAlert('An e-mail with the new password has been sent to ' + $('#_username').val(), 'Info', TYPE_ALERT_INFO);
		$('#recovery-dialog').dialog('close');
	    }
	    else {
		tariqaAlert('There has been a problem sending the message with the new password. Please contact the Tariqa team', 'Error', TYPE_ALERT_ERROR);
	    }
	}
    });
}

function showDialogs(login, recover){
    if (login != null){
	$('#login-dialog').dialog(login ? 'open' : 'close');
    }
    if (recover != null){
	$('#recovery-dialog').dialog(recover ? 'open' : 'close');
    }    
}

function loadIfEnter(evt, recover){
    if (evt.charCode == 13){
	if (recover){
	    doRecover();
	}
	else {
	    doLogin();
	}
    }
}
