var CURRENT = null;

var fetched = 0;
var FILTER_ID = null;
var CURRENT_VALUE = null;
var insertForm = null;

function initInterface(){
    $('#weboffice_menu').children().each(function(idx){
	var name = $(this).attr('name');
	if (typeof(name) == 'undefined'){
	    name = '';
	}
	if (name == 'weboffice_menu'){
	    var id = $(this).attr('id');
	    $(this).click(function(evt){
		menuSel(evt, id);
	    })
	}
    });
    $('#weboffice_menu').buttonset();
    $('.ui-state-active').removeClass('ui-state-active');
    $('label[for="' + CURRENT + '"]').addClass('ui-state-active');
}

function menuSel(evt, id){
    js_open(URL('special_page.php', 'module=weboffice&s=' + id), '_self', 'get');
}

function doOnItem(item){
    var result;
    if (item){
	result = item.name;
    }
    return result;
}

function storeFetched(items, request){
    fetched++;
    var _grid = $('#current-grid').val();
    var grid;
    eval ("grid = " + _grid + 'Grid;');
    if (fetched >= (_grid == 'queries' ? 4 : 3)){
	grid.startup();
    }
}

function header_input(id){
    return id;
    return id + "<br/><input type=\"text\" id=\"filter_" + id + "\" onkeypress=\"filter()\"/>";
}

function formatNumber(n){
    return n.match(/^[\d]+$/g) ? n : '...';
}

function initTranslationsGrid(){
    var translationsStore = new dojo.data.ItemFileWriteStore({url: URL('special_page.php', 'module=weboffice&dojo=&t=translations&a=select')});

    var translationsLayout = [{
	defaultCell: { width: 8, editable: true, type: dojox.grid.cells._Widget, styles: 'text-align: left;' },
	rows: [
	    { name: 'id', field: 'id', editable: false, hidden: true},	    
	    { name: header_input('Section'), field: 'section', editable: false},
	    { name: header_input('Keyword'), field: 'keyword', editable: false},
	    { name: header_input('Language'), field: 'language', editable: false},
	    { name: header_input('Data'), field: 'data', width: 'auto'},
	]
    }];

    translationsGrid = new dojox.grid.DataGrid({
	store: translationsStore,
	structure: translationsLayout,
	canSort: true
    }, dojo.byId('translationsGrid'));

    translationsGrid.startup();
}

function initUsersGrid(){
    var usersStore = new dojo.data.ItemFileWriteStore({url: URL('special_page.php', 'module=weboffice&dojo=&t=users&a=select')});

    var usersLayout = [{
	defaultCell: { width: 10, editable: true, type: dojox.grid.cells._Widget, styles: 'text-align: left;' },
	rows: [
	    { name: 'User Id', field: 'id'},	    
	    { name: header_input('First Name'), field: 'first_name'},
	    { name: header_input('Last Name'), field: 'last_name'},
	    { name: header_input('E-mail'), field: 'e_mail'},
	    { name: header_input('Groups'), field: 'groups', width: 'auto'},
	]
    }];

    usersGrid = new dojox.grid.DataGrid({
	store: usersStore,
	structure: usersLayout,
	canSort: true
    }, dojo.byId('usersGrid'));

    usersGrid.startup();
}

function initQueriesGrid(){
    var queriesStore = new dojo.data.ItemFileWriteStore({url: URL('special_page.php', 'module=weboffice&dojo=&t=queries&a=select')});
    var countriesStore = new dojo.data.ItemFileWriteStore({url: URL('special_page.php', 'module=weboffice&dojo=&t=countries&a=select')});
    var themesStore = new dojo.data.ItemFileWriteStore({url: URL('special_page.php', 'module=weboffice&dojo=&t=themes&a=select')});
    var sourcesStore = new dojo.data.ItemFileWriteStore({url: URL('special_page.php', 'module=weboffice&dojo=&t=sources&a=select')});
    var flavoursStore = new dojo.data.ItemFileWriteStore({url: URL('special_page.php', 'module=weboffice&dojo=&t=flavours&a=select')});
    countriesStore.fetch({query: '*', onComplete: storeFetched});
    themesStore.fetch({query: '*', onComplete: storeFetched});
    sourcesStore.fetch({query: '*', onComplete: storeFetched});
    flavoursStore.fetch({query: '*', onComplete: storeFetched});

    var queriesLayout = [{
	defaultCell: { width: 10, editable: true, type: dojox.grid.cells._Widget, styles: 'text-align: left;' },
	rows: [
	    { name: 'id', field: 'id', editable: false, hidden: true },
	    { name: header_input('Country'), field: 'Country', widgetClass: dijit.form.FilteringSelect, filterable: false, widgetProps: {store: countriesStore, searchAttr: 'name'},
	    formatter: function(value){
		var result;
		countriesStore.fetchItemByIdentity({
		    identity: value, 
		    onItem: function(item){
			result = doOnItem(item);
		    }
		});
		return result;
	    }},
	    { name: header_input('Flavour'), field: 'Flavour', widgetClass: dijit.form.FilteringSelect, filterable: false, widgetProps: {store: flavoursStore, searchAttr: 'name'},
	    formatter: function(value){
		var result;
		flavoursStore.fetchItemByIdentity({
		    identity: value, 
		    onItem: function(item){
			result = doOnItem(item);
		    }
		});
		return result;
	    }},
	    { name: header_input('Display order'), field: 'Order'}, 
	    { name: header_input('Theme'), field: 'Theme', widgetClass: dijit.form.FilteringSelect, widgetProps: {store: themesStore, searchAttr: 'name'},
	    formatter: function(value){
		var result;
		themesStore.fetchItemByIdentity({
		    identity: value, 
		    onItem: function(item){
			result = doOnItem(item);
		    }
		});
		return result;
	    }}, 
	    { name: header_input('Source'), field: 'Source', widgetClass: dijit.form.FilteringSelect, widgetProps: {store: sourcesStore, searchAttr: 'name'},
	    formatter: function(value){
		var result;
		sourcesStore.fetchItemByIdentity({
		    identity: value, 
		    onItem: function(item){
			result = doOnItem(item);
		    }
		});
		return result;
	    }}, 
	    { name: header_input('Title'), field: 'Title'},
	    { name: header_input('Days'), field: 'Days', formatter: formatNumber},
	    { name: header_input('Query'), field: 'Query', width: 'auto'},
	]
    }];

    /*var plugins = {
	filter: {
	    itemsName: 'queries',
	    closeFilterbarButton: true,
	    ruleCount: 8
	}
    };*/

    queriesGrid = new dojox.grid.DataGrid({
	store: queriesStore,
	structure: queriesLayout,
	canSort: function(idx){return (_isIE ? false : true);}/*,
	plugins: plugins*/
    }, dojo.byId('queriesGrid'));

    countriesCombo = newCombo('country', countriesStore, '__');
    flavoursCombo = newCombo('flavour', flavoursStore, '__');
    themesCombo = newCombo('theme', themesStore, '__');
    sourcesCombo = newCombo('source', sourcesStore, '');
}

function newCombo(id, store, defaultValue){
    var combo = new dijit.form.FilteringSelect({
	id: 'n_' + id,
	name: id,
	value: defaultValue,
	store: store,
	searchAttr: 'name',
	style: 'width: 100%'
    }, 'n_' + id);

    return combo;
}

function newRecord(){
    insertForm.show();
}

function newQuery(){
    var country = dijit.byId('n_country').get('value');
    var flavour = dijit.byId('n_flavour').get('value');
    var order = $('#n_order').val();
    var theme = dijit.byId('n_theme').get('value');
    var source = dijit.byId('n_source').get('value');
    var title = $('#n_title').val();
    var query = $('#n_query').val();
    var days = $('#n_days').val();

    if (source == '' || source == null){
	tariqaAlert('You have to select a source', 'Error', TYPE_ALERT_ERROR);
	return ;
    }

    if (country != '__' && flavour == '__'){
	tariqaAlert('If you selected a country, you also have to select a flavour', 'Error', TYPE_ALERT_ERROR);
	return ;
    }

    if (country != '__' && !order.match(/^[\d]+$/)){
	tariqaAlert('If you selected a country, you have to also input a display order', 'Error', TYPE_ALERT_ERROR);
	return ;	
    }

    if (!days.match(/^[\d]+$/)){
	tariqaAlert('The days range has to be a numeric value', 'Error', TYPE_ALERT_ERROR);
	return ;		
    }

    var request, url;

    url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-insert&a=insert&__source_id=' + source + '&__title=' + title + '&__query=' + query + '&__days=' + days);
    dojo.xhrGet({
	url: url,
	handleAs: 'json',
	sync: true,
	load: function(data){
	    if (country != '__'){
		url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-countries-insert&a=insert&__query_id=' + data.id + '&__country_id=' + country + '&__flavour_id=' + flavour + '&__display_order=' + order + '&__label=' + title + '&__description=' + title);
		dojo.xhrGet({url: url});
	    }
	    if (theme != '__'){
		url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-themes-insert&a=insert&__query_id=' + data.id + '&__theme_id=' + theme + '&__label=' + title + '&__description=' + title);
		dojo.xhrGet({url: url});
	    }
	    var newItem = {
		id: data.id,
		Country: country,
		Flavour: flavour,
		Order: order,
		Theme: theme,
		Source: source,
		Title: title,
		Days: days,
		Query: query
	    }

	    queriesGrid.store.newItem(newItem);
	}
    });

}

function doNew(){
    var _grid = $('#current-grid').val();
    if (_grid == 'queries'){
	newQuery();
    }
    else {
	var url;

	url = URL('special_page.php', 'module=weboffice&dojo=&t=' + _grid + '-insert&a=insert');
	var fields = $('#new-fields').val().split(',');
	for (var i in fields){
	    url += '&__' + fields[i] + '=' + $('#n_' + fields[i]).val();
	}

	dojo.xhrGet({
	   url: url,
	    handleAs: 'json',
	    load: function(data){
		var json = '';
		var fields = $('#new-fields').val().split(',');
		var with_id = false;
		for (var i in fields){
		    json += (json == '' ? '' : ', ') + fields[i] + ': "' + $('#n_' + fields[i]).val().replace(/"/g, '\\"') + '"';
		    if (fields[i] == 'id'){
			with_id = true;
		    }
		}

		if (!with_id){
		    json += ', id: data.id';
		}
		
		eval ("var newItem = {" + json + "};");
		var grid;
		eval("grid = " + _grid + "Grid;");
		grid.store.newItem(newItem);
	    }
	});
    }
}

function initDojo(grid){
    $('body').addClass('tundra');
    dojo.require("dijit.dijit");
    dojo.require("dojox.grid.DataGrid");
    dojo.require("dojox.grid.cells.dijit");
    dojo.require("dojo.data.ItemFileWriteStore");
    dojo.require("dijit.form.FilteringSelect");
    dojo.require("dojo.parser");
    dojo.require("dijit.Dialog");

    if (grid == "queries"){
	initQueriesGrid();
    }
    else if (grid == 'users'){
	initUsersGrid();
    }
    else if (grid == 'translations'){
	initTranslationsGrid();
    }

    eval('dojo.connect(' + grid + 'Grid, \'onApplyCellEdit\', null, editGrid);');
    eval('dojo.connect(' + grid + 'Grid, \'onStartEdit\', null, startEditGrid);');

    insertForm = new dijit.Dialog({
	title: 'New',
	style: 'width: 450px; height: ' + $('#insert-form').height()
    }, 'insert-form');
    var ok = new dijit.form.Button({
	type: 'submit',
	onClick: doNew
    }, 'new-ok');
    var cancel = new dijit.form.Button({type: 'submit'}, 'new-cancel');
    var search = new dijit.form.Button({
	type: 'submit', 
	onClick: function(){
	    filter(grid)
	}
    }, 'filter_button');

    filterForm = new dijit.Dialog({
	title: 'Filter',
	style: 'width: 420px; height: ' + $('#filter_form').height()
    }, 'filter_form')
    
    /*$('#filter_button').button().click(function(){
	filter(grid);
    });*/
    //dlg.set("content", $('#insert-form').detach().html());
}

function editQueriesGrid(value, row, col, id){
    var url;
    if (col == 'title' || col == 'query' || col == 'source' || col == 'days'){	
	url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-update&a=update&u_' + col + '=&__' + col + '=' + value + '&__query_id=' + id);
    }
    else if (col == 'country' || col == 'flavour' || col == 'order'){
	var country = queriesGrid.store.getValue(queriesGrid.getItem(row), 'Country');
	var flavour = queriesGrid.store.getValue(queriesGrid.getItem(row), 'Flavour');
	var order = queriesGrid.store.getValue(queriesGrid.getItem(row), 'Order');
	var label = queriesGrid.store.getValue(queriesGrid.getItem(row), 'Title');

	if (col == 'country' && country == '__'){
		url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-countries-delete&a=delete&__query_id=' + id + '&__country_id=' + CURRENT_VALUE);
		queriesGrid.store.setValue(queriesGrid.getItem(row), 'Flavour', '__');
		queriesGrid.store.setValue(queriesGrid.getItem(row), 'Order', '1');	    
	}
	else if (col == 'country' && flavour == '__'){
	    return ;
	}
	else if (col == 'flavour' && country == '__') {
	    return ;
	}
	else if ((flavour == '__' && country != '__') || (flavour != '__' && country == '__')){
	    return ;
	}
	else {
	    url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-countries-insert&a=insert&__query_id=' + id + '&__country_id=' + country + '&__flavour_id=' + flavour + '&__display_order=' + order + '&__label=' + label + '&__description=' + label);	    
	}

    }
    else if (col == 'theme'){
	var theme = queriesGrid.store.getValue(queriesGrid.getItem(row), 'Theme');
	var label = queriesGrid.store.getValue(queriesGrid.getItem(row), 'Title');
	if (theme == '__'){
	    url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-themes-delete&a=delete&__query_id=' + id + '&__theme_id=' + CURRENT_VALUE);
	}
	else {
	    url = URL('special_page.php', 'module=weboffice&dojo=&t=queries-themes-insert&a=insert&__query_id=' + id + '&__theme_id=' + theme + '&__label=' + label + '&__description=' + label);	    	    
	}
    }

    var request = dojo.xhrGet({url: url, handleAs: 'json'});
}

function startEditGrid(inCell, row){
    var _grid = $('#current-grid').val();
    var grid;
    eval("grid = " + _grid + "Grid;");
    CURRENT_VALUE = grid.store.getValue(grid.getItem(row), inCell.field);
}

function editGrid(value, row, col){
    var _grid = $('#current-grid').val();
    col = col.toLowerCase();
    var grid;
    eval("grid = " + _grid + 'Grid;');
    var id = grid.store.getValue(grid.getItem(row), 'id');

    if (_grid == 'queries'){
	editQueriesGrid(value, row, col, id);
	return ;
    }
    var url = URL('special_page.php', 'module=weboffice&dojo=&t=' + _grid + '-update&a=update&__id=' + id + '&');

    url += 'u_' + col + '=&__' + col + '=' + value;

    dojo.xhrGet({url: url});
}

function filter(grid){
    var url = URL('special_page.php', 'module=weboffice&dojo=&t=' + grid + '&a=select');
    var filters = $('#available-filters').val().split(',');

    for (var i in filters){
	var id = filters[i];
	var val = $('#f_' + id).val();
	if (val != ''){
	    if (val == 'N/A'){
		url += '&f_' + id + '_null=';
	    }
	    else {
		url += '&f_' + id + '=&__' + id + '=' + val;		
	    }
	}
    }

    var store = new dojo.data.ItemFileWriteStore({url: url});
    eval(grid + 'Grid.setStore(store);');
}

function deleteRecord(){
    var _grid = $('#current-grid').val();
    var grid;
    eval ("grid = " + _grid + "Grid;");
    var sels = grid.selection.getSelected();

    var id, url;

    for (var i in sels){
	id = grid.store.getValue(sels[i], 'id');
	url = URL('special_page.php', 'module=weboffice&dojo=&t=' + _grid + '-delete&a=delete&__id=' + id);
	dojo.xhrGet({url: url});
	grid.store.deleteItem(sels[i]);
    }
}
