<?php

	/**
	 * Containes information about a country
	 * @author Pascal Havelange
	 * @copyright  EUROPEAN COMMISSION, 2008
	 * */
	class Country2 {

		/**
		 * ISO 3166(2 alpha)
		 * @var string
		 * */
		public $code_iso2;
		
		/**
		 * Name of the country in english
		 * @var string
		 * */
		public $name;
		
		/**
		 * ISO2 Id of the Country 'owning' this land
		 * @var string
		 * */
		public $parent_code_iso2;
		
		/**
		 * Continent Id
		 * @var string
		 * @see Continent
		 * */
		public $continent_id;
		
		/**
		 * Id of the cluster to which the country is belonging to
		 * @var int
		 * */
		public $cluster_id;
		
	}
?>