<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
*/


class IDOLResultSet {
    /**
     * The response from the server
     * @var string
     * @access public
     */
    public $response;

    /**
     * The total number of documents which correspond to the query
     * @var int
     * @access public
     */
    public $docs;

    /**
     * The number of documents returned
     * @var int
     * @access public
     */
    public $count;

    /**
     * The original query
     * @var IDOLQuery
     * @access public
     */
    public $query;

    /**
     * The spell checking result
     * @var string
     * @access public
     */
    public $spell_check = null;

    /**
     * The IDOL documents
     * @var IDOLDocument[]
     * @access public
     */
    public $documents;

}
?>