<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	xmlns:exsl="http://exslt.org/common"
	extension-element-prefixes="exsl"
	xmlns:ap="http://schemas.mindjet.com/MindManager/Application/2003"
	xmlns:cor="http://schemas.mindjet.com/MindManager/Core/2003"
	xmlns:pri="http://schemas.mindjet.com/MindManager/Primitive/2003"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Primitive/2003 http://schemas.mindjet.com/MindManager/Primitive/2003">

	<xsl:template match="/articles[@folder='_root_']">
		<ap:Map Dirty="0000000000000001" OId="xPEk6v/ktES2CYkQ3ZFZww==" Gen="0000000000000000"
			xmlns:ap="http://schemas.mindjet.com/MindManager/Application/2003"
			xmlns:cor="http://schemas.mindjet.com/MindManager/Core/2003"
			xmlns:pri="http://schemas.mindjet.com/MindManager/Primitive/2003"
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xsi:schemaLocation="http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Primitive/2003 http://schemas.mindjet.com/MindManager/Primitive/2003">
			<ap:OneTopic>
				<ap:Topic Dirty="0000000000000001" Gen="0000000000000000">
					<ap:SubTopics>
						<xsl:apply-templates />
					</ap:SubTopics>
					<ap:TopicViewGroup ViewIndex="0"/>
					<ap:Text Dirty="0000000000000001" PlainText="Articles">
						<ap:Font/>
					</ap:Text>
				</ap:Topic>
			</ap:OneTopic>
			<ap:StyleGroup>
				<ap:RootTopicDefaultsGroup>
					<ap:DefaultColor Dirty="0000000000000000" FillColor="fffee49e" LineColor="ff000000"/>
					<ap:DefaultText TextAlignment="urn:mindjet:Center" TextCapitalization="urn:mindjet:None"
						VerticalTextAlignment="urn:mindjet:Top" Dirty="0000000000000000"
						PlainText="Central Topic">
						<ap:Font Color="ff373737" Size="14." Name="Trebuchet MS" Bold="true" Italic="false"
							Underline="false" Strikethrough="false"/>
					</ap:DefaultText>
					<ap:DefaultSubTopicShape SubTopicShape="urn:mindjet:RoundedRectangle"
						Dirty="0000000000000000" LeftMargin="2." TopMargin="2." BottomMargin="2."
						RightMargin="2."/>
					<ap:DefaultLabelFloatingTopicShape LabelFloatingTopicShape="urn:mindjet:None"
						Dirty="0000000000000000" LeftMargin="0." TopMargin="0." BottomMargin="0."
						RightMargin="0."/>
					<ap:DefaultCalloutFloatingTopicShape CalloutFloatingTopicShape="urn:mindjet:None"
						Dirty="0000000000000000" LeftMargin="0." TopMargin="0." BottomMargin="0."
						RightMargin="0."/>
					<ap:DefaultTopicLayout TopicLayoutHorizontalAlignment="urn:mindjet:Center"
						TopicLayoutVerticalAlignment="urn:mindjet:Center"
						TopicTextAndImagePosition="urn:mindjet:TextRightImageLeft"
						TopicWidthControl="urn:mindjet:AutoWidth" Dirty="0000000000000000" Width="50."
						MinimumHeight="5." Padding="1."/>
					<ap:DefaultSubTopicsShape SubTopicsAlignment="urn:mindjet:Center"
						SubTopicsConnectionPoint="urn:mindjet:Center"
						SubTopicsConnectionStyle="urn:mindjet:Straight"
						SubTopicsShape="urn:mindjet:Vertical" SubTopicsShapeWidthFactor="1."
						Dirty="0000000000000000" DistanceFromParent="8." DistanceBetweenSiblings="7."/>
					<ap:DefaultSubTopicsVisibility Dirty="0000000000000000" Hidden="false"/>
				</ap:RootTopicDefaultsGroup>
				<ap:RootSubTopicDefaultsGroup Level="0">
					<ap:DefaultColor Dirty="0000000000000000" FillColor="00ffffff"/>
					<ap:DefaultText TextAlignment="urn:mindjet:Left" TextCapitalization="urn:mindjet:None"
						Dirty="0000000000000000" PlainText="Main Topic">
						<ap:Font Color="ff000000" Size="12." Name="Trebuchet MS" Bold="true" Italic="false"
							Underline="false" Strikethrough="false"/>
					</ap:DefaultText>
					<ap:DefaultSubTopicShape SubTopicShape="urn:mindjet:Line" Dirty="0000000000000000"
						LeftMargin="0.5" TopMargin="0.5" BottomMargin="0.5" RightMargin="0.5"/>
					<ap:DefaultSubTopicsShape SubTopicsAlignment="urn:mindjet:Center"
						SubTopicsConnectionPoint="urn:mindjet:Outside"
						SubTopicsConnectionStyle="urn:mindjet:ShearedElbow"
						SubTopicsShape="urn:mindjet:Vertical" Dirty="0000000000000000"
						DistanceFromParent="2." DistanceBetweenSiblings="1."/>
					<ap:DefaultSubTopicsVisibility Dirty="0000000000000000" Hidden="false"/>
				</ap:RootSubTopicDefaultsGroup>
				<ap:RootSubTopicDefaultsGroup Level="1">
					<ap:DefaultColor Dirty="0000000000000000" FillColor="00ffffff"/>
					<ap:DefaultText TextAlignment="urn:mindjet:Left" TextCapitalization="urn:mindjet:None"
						Dirty="0000000000000000" PlainText="Subtopic">
						<ap:Font Color="ff000000" Size="10." Name="Trebuchet MS" Bold="false" Italic="false"
							Underline="false" Strikethrough="false"/>
					</ap:DefaultText>
					<ap:DefaultSubTopicShape SubTopicShape="urn:mindjet:Line" Dirty="0000000000000000"
						LeftMargin="0.20000000298023224" TopMargin="0.20000000298023224"
						BottomMargin="0.20000000298023224" RightMargin="0.20000000298023224"/>
					<ap:DefaultSubTopicsShape SubTopicsAlignment="urn:mindjet:Center"
						SubTopicsConnectionPoint="urn:mindjet:Outside" SubTopicsShape="urn:mindjet:Vertical"
						Dirty="0000000000000000" DistanceBetweenSiblings="1."/>
					<ap:DefaultSubTopicsVisibility Dirty="0000000000000000" Hidden="false"/>
				</ap:RootSubTopicDefaultsGroup>
				<ap:CalloutTopicDefaultsGroup>
					<ap:DefaultColor Dirty="0000000000000000" FillColor="c7ffffff" LineColor="ff000000"/>
					<ap:DefaultText TextAlignment="urn:mindjet:Left" Dirty="0000000000000000"
						PlainText="Callout">
						<ap:Font Color="ff000000" Size="10." Name="Trebuchet MS"/>
					</ap:DefaultText>
					<ap:DefaultCalloutFloatingTopicShape CalloutFloatingTopicShape="urn:mindjet:OvalBalloon"
						Dirty="0000000000000000" LeftMargin="0.5" TopMargin="0.5" BottomMargin="0.5"
						RightMargin="0.5"/>
					<ap:DefaultSubTopicsShape SubTopicsAlignment="urn:mindjet:Center"
						SubTopicsConnectionPoint="urn:mindjet:Outside"
						SubTopicsConnectionStyle="urn:mindjet:ShearedElbow"
						SubTopicsShape="urn:mindjet:Vertical" Dirty="0000000000000000"
						DistanceFromParent="2." DistanceBetweenSiblings="1."/>
					<ap:DefaultSubTopicsVisibility Dirty="0000000000000000" Hidden="false"/>
				</ap:CalloutTopicDefaultsGroup>
				<ap:CalloutSubTopicDefaultsGroup Level="0">
					<ap:DefaultColor Dirty="0000000000000000" FillColor="00ffffff" LineColor="ff000000"/>
					<ap:DefaultText TextAlignment="urn:mindjet:Left" TextCapitalization="urn:mindjet:None"
						Dirty="0000000000000000" PlainText="Subtopic">
						<ap:Font Color="ff000000" Size="10." Name="Trebuchet MS" Bold="false"/>
					</ap:DefaultText>
					<ap:DefaultSubTopicShape SubTopicShape="urn:mindjet:Line" Dirty="0000000000000000"
						LeftMargin="0.20000000298023224" TopMargin="0.20000000298023224"
						BottomMargin="0.20000000298023224" RightMargin="0.20000000298023224"/>
					<ap:DefaultSubTopicsShape SubTopicsAlignment="urn:mindjet:Center"
						SubTopicsConnectionPoint="urn:mindjet:Outside" SubTopicsShape="urn:mindjet:Vertical"
						Dirty="0000000000000000" DistanceBetweenSiblings="1."/>
					<ap:DefaultSubTopicsVisibility Dirty="0000000000000000" Hidden="false"/>
				</ap:CalloutSubTopicDefaultsGroup>
				<ap:LabelTopicDefaultsGroup>
					<ap:DefaultColor Dirty="0000000000000000" FillColor="00ffffff" LineColor="ff000000"/>
					<ap:DefaultText TextAlignment="urn:mindjet:Left" TextCapitalization="urn:mindjet:None"
						Dirty="0000000000000000" PlainText="Floating Topic">
						<ap:Font Color="ff000000" Size="10." Name="Trebuchet MS" Bold="false"/>
					</ap:DefaultText>
					<ap:DefaultLabelFloatingTopicShape LabelFloatingTopicShape="urn:mindjet:None"
						Dirty="0000000000000000" LeftMargin="0.5" TopMargin="0.5" BottomMargin="0.5"
						RightMargin="0.5"/>
					<ap:DefaultSubTopicsShape SubTopicsAlignment="urn:mindjet:Center"
						SubTopicsConnectionPoint="urn:mindjet:Outside"
						SubTopicsConnectionStyle="urn:mindjet:ShearedElbow"
						SubTopicsShape="urn:mindjet:Vertical" Dirty="0000000000000000"
						DistanceFromParent="2." DistanceBetweenSiblings="1."/>
					<ap:DefaultSubTopicsVisibility Dirty="0000000000000000" Hidden="false"/>
				</ap:LabelTopicDefaultsGroup>
				<ap:LabelSubTopicDefaultsGroup Level="0">
					<ap:DefaultColor Dirty="0000000000000000" FillColor="00ffffff" LineColor="ff000000"/>
					<ap:DefaultText TextAlignment="urn:mindjet:Left" TextCapitalization="urn:mindjet:None"
						Dirty="0000000000000000" PlainText="Subtopic">
						<ap:Font Color="ff000000" Size="10." Name="Trebuchet MS" Bold="false"/>
					</ap:DefaultText>
					<ap:DefaultSubTopicShape SubTopicShape="urn:mindjet:Line" Dirty="0000000000000000"
						LeftMargin="0.20000000298023224" TopMargin="0.20000000298023224"
						BottomMargin="0.20000000298023224" RightMargin="0.20000000298023224"/>
					<ap:DefaultSubTopicsShape SubTopicsAlignment="urn:mindjet:Center"
						SubTopicsConnectionPoint="urn:mindjet:Outside" SubTopicsShape="urn:mindjet:Vertical"
						Dirty="0000000000000000" DistanceBetweenSiblings="1."/>
					<ap:DefaultSubTopicsVisibility Dirty="0000000000000000" Hidden="false"/>
				</ap:LabelSubTopicDefaultsGroup>
				<ap:RelationshipDefaultsGroup>
					<ap:DefaultColor Dirty="0000000000000000" FillColor="00000000" LineColor="ff000000"/>
					<ap:DefaultLineStyle LineDashStyle="urn:mindjet:RoundDot" Dirty="0000000000000000"
						LineWidth="2.25"/>
					<ap:DefaultConnectionStyle ConnectionShape="urn:mindjet:OvalArrow"
						Dirty="0000000000000000"/>
					<ap:DefaultConnectionStyle ConnectionShape="urn:mindjet:OpenArrow"
						Dirty="0000000000000000"/>
				</ap:RelationshipDefaultsGroup>
				<ap:BoundaryDefaultsGroup>
					<ap:DefaultLineStyle LineDashStyle="urn:mindjet:Solid" Dirty="0000000000000000"
						LineWidth="3."/>
					<ap:DefaultBoundaryShape BoundaryShape="urn:mindjet:CurvedLine" Dirty="0000000000000000"
						Margin="0."/>
				</ap:BoundaryDefaultsGroup>
				<ap:ImageDefaultsGroup/>
				<ap:Structure StructureGrowthDirection="urn:mindjet:LeftAndRight" Dirty="0000000000000000"
					UseAutoLayout="true" MinimumMainTopicsHeight="40." FadeNotSelectedObjects="true"
					UseCurveAntialiasing="true" UseTextAntialiasing="true" MainTopicLineWidth="3."
					UseOrganicLines="false" HideCollapseSign="false"/>
				<ap:BackgroundFill Dirty="0000000000000000" FillColor="ffffffe5"/>
				<ap:BackgroundImageData ImageType="urn:mindjet:PngImage" Transparency="45"
					Dirty="0000000000000000">
					<cor:Uri xsi:nil="false">mmarch://bin/background.bin</cor:Uri>
				</ap:BackgroundImageData>
				<ap:NotesDefaultFont Color="ff000000" Size="10." Dirty="0000000000000000" Name="Arial"/>
			</ap:StyleGroup>
			<ap:MapViewGroup ViewIndex="0" RowIndex="0" ColumnIndex="0">
				<ap:ZoomFactor ZoomFactor="1." Dirty="0000000000000000"/>
			</ap:MapViewGroup>
			<ap:DocumentGroup>
				<ap:Language Dirty="0000000000000000" Language="en"/>
				<ap:Creator Dirty="0000000000000000" UserName="" UserEmail=""/>
				<ap:LastModificator Dirty="0000000000000000" UserName="" UserEmail=""/>
				<ap:Author Dirty="0000000000000000" UserName="" UserEmail=""/>
				<ap:Manager Dirty="0000000000000000" UserName=""/>
				<ap:Version Dirty="0000000000000001" Major="1"/>
				<ap:Statistics Dirty="0000000000000001" NumberOfTopics="3" NumberOfWords="10"
					NumberOfHyperlinks="0" NumberOfRelationships="0" NumberOfPictures="0"
					NumberOfBoundaries="0" NumberOfNotes="2"/>
				<ap:DateTimeStamps Dirty="0000000000000001" Created="2010-08-31T14:51:02"
					LastModified="2010-08-31T14:54:25"/>
				<ap:Description Comments="" Dirty="0000000000000000" Subject=""/>
				<ap:Keywords Dirty="0000000000000000" Keywords=""/>
				<ap:CreatorCompany Dirty="0000000000000000" Name=""/>
				<ap:Category Dirty="0000000000000000" Name=""/>
				<ap:PreviewImageData ImageType="urn:mindjet:PngImage" Dirty="0000000000000001">
					<cor:Uri xsi:nil="false">mmarch://Preview.png</cor:Uri>
				</ap:PreviewImageData>
			</ap:DocumentGroup>
			<ap:MarkersSetGroup>
				<ap:IconMarkersSets>
					<ap:IconMarkersSet Dirty="0000000000000000" OId="MDE+/cY3n0itqxbDmymmMA=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Smileys"/>
						<ap:IconMarkers>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="O/s7YRGHKEyp2PF2g17vwg==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Upset"/>
								<ap:OneStockIcon IconType="urn:mindjet:SmileyAngry" Dirty="0000000000000000"
								/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="wuOQ3wyMW0i70dhs0RpWVQ==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Neutral"/>
								<ap:OneStockIcon IconType="urn:mindjet:SmileyNeutral"
									Dirty="0000000000000000"/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="2ZneEPdcvkGMi+AziBGyZA==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Sad"/>
								<ap:OneStockIcon IconType="urn:mindjet:SmileySad" Dirty="0000000000000000"/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="USdk9+DID0GXH2CB4lXkow==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Happy"/>
								<ap:OneStockIcon IconType="urn:mindjet:SmileyHappy" Dirty="0000000000000000"
								/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="a0vEK1Eqsk2vQ+snozPdpA==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Furious"/>
								<ap:OneStockIcon IconType="urn:mindjet:SmileyScreaming"
									Dirty="0000000000000000"/>
							</ap:IconMarker>
						</ap:IconMarkers>
					</ap:IconMarkersSet>
					<ap:IconMarkersSet Dirty="0000000000000000" OId="VGyxKl1XLE6hMl78EvwyIg=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Arrows"/>
						<ap:IconMarkers>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="NTouT5BzKkazRALNu5ZcEQ==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Important"/>
								<ap:OneStockIcon IconType="urn:mindjet:ArrowRight" Dirty="0000000000000000"
								/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="LYF/wXRoaE+1jYacbT8DAA==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Both ways"/>
								<ap:OneStockIcon IconType="urn:mindjet:TwoEndArrow" Dirty="0000000000000000"
								/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="T0v5/+3UG0SNQVngNSCCDg==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Reference"/>
								<ap:OneStockIcon IconType="urn:mindjet:ArrowLeft" Dirty="0000000000000000"/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="WEy6XBb+mUCuXzRYVBwiYA==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Postponed"/>
								<ap:OneStockIcon IconType="urn:mindjet:ArrowDown" Dirty="0000000000000000"/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="j6sN8+EIeE+e5CMnEvT3Mg==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Yes!"/>
								<ap:OneStockIcon IconType="urn:mindjet:ArrowUp" Dirty="0000000000000000"/>
							</ap:IconMarker>
						</ap:IconMarkers>
					</ap:IconMarkersSet>
					<ap:IconMarkersSet Dirty="0000000000000000" OId="TVa3VqiygUmsX7cdg0FrDQ=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Flags"/>
						<ap:IconMarkers>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="wllzUUSTaUaahfheHmw8lQ==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Go"/>
								<ap:OneStockIcon IconType="urn:mindjet:FlagGreen" Dirty="0000000000000000"/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="yg6BKMxGT02+U+xFeoLNbw==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="For discussion"/>
								<ap:OneStockIcon IconType="urn:mindjet:FlagYellow" Dirty="0000000000000000"
								/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="tBY4ABQFjkSRu4lJzoaW1Q==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Possibility"/>
								<ap:OneStockIcon IconType="urn:mindjet:FlagPurple" Dirty="0000000000000000"
								/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="jRbxdmxB3EmjL7oI4oIf/A==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Risk"/>
								<ap:OneStockIcon IconType="urn:mindjet:FlagBlack" Dirty="0000000000000000"/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="7fu8RYJ+S0uxz+xcuiB2sg==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Progress"/>
								<ap:OneStockIcon IconType="urn:mindjet:FlagBlue" Dirty="0000000000000000"/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="5h74lyWuREav3isUyiiz9g==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Careful"/>
								<ap:OneStockIcon IconType="urn:mindjet:FlagOrange" Dirty="0000000000000000"
								/>
							</ap:IconMarker>
							<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
								OId="/7u7Bx676EinCIEdA9GTEQ==" Gen="0000000000000000">
								<ap:Name Dirty="0000000000000000" Name="Caution"/>
								<ap:OneStockIcon IconType="urn:mindjet:FlagRed" Dirty="0000000000000000"/>
							</ap:IconMarker>
						</ap:IconMarkers>
					</ap:IconMarkersSet>
				</ap:IconMarkersSets>
				<ap:IconMarkers>
					<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
						OId="MKmPbkkQs0SRMScITe738Q==" Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Great idea"/>
						<ap:OneStockIcon IconType="urn:mindjet:ThumbsUp" Dirty="0000000000000000"/>
					</ap:IconMarker>
					<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
						OId="bkWP2meZp0GnYE+tq4KH+Q==" Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Decision"/>
						<ap:OneStockIcon IconType="urn:mindjet:JudgeHammer" Dirty="0000000000000000"/>
					</ap:IconMarker>
					<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
						OId="m3nST+VMoE+qPbtidl4vEA==" Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Date"/>
						<ap:OneStockIcon IconType="urn:mindjet:Calendar" Dirty="0000000000000000"/>
					</ap:IconMarker>
					<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
						OId="8Mr6fyFoc0uf26mT7TUnEA==" Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Budget"/>
						<ap:OneStockIcon IconType="urn:mindjet:Dollar" Dirty="0000000000000000"/>
					</ap:IconMarker>
					<ap:IconMarker xsi:type="ap:StockIconMarker" Dirty="0000000000000000"
						OId="JRLswpmcVkeQMu+bMzBrPw==" Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Emergency"/>
						<ap:OneStockIcon IconType="urn:mindjet:Emergency" Dirty="0000000000000000"/>
					</ap:IconMarker>
				</ap:IconMarkers>
				<ap:TaskPercentageMarkers>
					<ap:TaskPercentageMarker Dirty="0000000000000000" OId="rQOZo0SF7ESOsBpjm3EW8Q=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Task start"/>
						<ap:TaskPercentage TaskPercentage="0" Dirty="0000000000000000"/>
					</ap:TaskPercentageMarker>
					<ap:TaskPercentageMarker Dirty="0000000000000000" OId="RtgDyntYNES8bnSfrVmslw=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Quarter done"/>
						<ap:TaskPercentage TaskPercentage="25" Dirty="0000000000000000"/>
					</ap:TaskPercentageMarker>
					<ap:TaskPercentageMarker Dirty="0000000000000000" OId="Ba4YYpfkpE+rzLAzcBomqg=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Half done"/>
						<ap:TaskPercentage TaskPercentage="50" Dirty="0000000000000000"/>
					</ap:TaskPercentageMarker>
					<ap:TaskPercentageMarker Dirty="0000000000000000" OId="K29RA7f3tUCxKXW/n7hvLg=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Three quarters done"/>
						<ap:TaskPercentage TaskPercentage="75" Dirty="0000000000000000"/>
					</ap:TaskPercentageMarker>
					<ap:TaskPercentageMarker Dirty="0000000000000000" OId="4o5uxx6LIUqVoigdqh4XZQ=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Task done"/>
						<ap:TaskPercentage TaskPercentage="100" Dirty="0000000000000000"/>
					</ap:TaskPercentageMarker>
				</ap:TaskPercentageMarkers>
				<ap:TaskPriorityMarkers>
					<ap:TaskPriorityMarker Dirty="0000000000000000" OId="MYMeO9Afwkevd06Pw54QVQ=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Priority 1"/>
						<ap:TaskPriority TaskPriority="urn:mindjet:Prio1" Dirty="0000000000000000"/>
					</ap:TaskPriorityMarker>
					<ap:TaskPriorityMarker Dirty="0000000000000000" OId="qD2scCLs7UmNqtb4cwCiTw=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Priority 2"/>
						<ap:TaskPriority TaskPriority="urn:mindjet:Prio2" Dirty="0000000000000000"/>
					</ap:TaskPriorityMarker>
					<ap:TaskPriorityMarker Dirty="0000000000000000" OId="9V/7q026Q0qx1CAvwrxwGA=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Priority 3"/>
						<ap:TaskPriority TaskPriority="urn:mindjet:Prio3" Dirty="0000000000000000"/>
					</ap:TaskPriorityMarker>
					<ap:TaskPriorityMarker Dirty="0000000000000000" OId="BqhQIbzmbk+rseqnUWtJig=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Priority 4"/>
						<ap:TaskPriority TaskPriority="urn:mindjet:Prio4" Dirty="0000000000000000"/>
					</ap:TaskPriorityMarker>
					<ap:TaskPriorityMarker Dirty="0000000000000000" OId="e0SvdqbxFU+6i/9W4uZoaQ=="
						Gen="0000000000000000">
						<ap:Name Dirty="0000000000000000" Name="Priority 5"/>
						<ap:TaskPriority TaskPriority="urn:mindjet:Prio5" Dirty="0000000000000000"/>
					</ap:TaskPriorityMarker>
				</ap:TaskPriorityMarkers>
			</ap:MarkersSetGroup>
		</ap:Map>
	</xsl:template>

	<xsl:template match="articles">
		<ap:Topic Dirty="0000000000000001" Gen="0000000000000000">
			<ap:SubTopics>
				<xsl:apply-templates />
			</ap:SubTopics>
			<ap:TopicViewGroup ViewIndex="0"/>
			<xsl:element name="ap:Text">
				<xsl:attribute name="Dirty"><xsl:text>0000000000000001</xsl:text></xsl:attribute>
				<xsl:attribute name="PlainText"><xsl:value-of select="@folder"/></xsl:attribute>
				<xsl:element name="ap:Font"/>
			</xsl:element>
			<xsl:element name="ap:Offset">
				<xsl:attribute name="Dirty">
					<xsl:text>0000000000000001</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="CX">
					<xsl:text>8.</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="CY">
					<xsl:text>0.</xsl:text>
				</xsl:attribute>
			</xsl:element>
		</ap:Topic>
	</xsl:template>

	<xsl:template match="article">
		<ap:Topic Dirty="0000000000000001" Gen="0000000000000000">
			<ap:TopicViewGroup ViewIndex="0"/>
			<xsl:element name="ap:Text">
				<xsl:attribute name="Dirty">
					<xsl:text>0000000000000001</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="PlainText">
					<xsl:value-of select="normalize-space(title)"/>
				</xsl:attribute>
				<ap:Font/>
			</xsl:element>
			<xsl:element name="ap:NotesGroup">
				<xsl:element name="ap:NotesXhtmlData">
					<xsl:attribute name="Dirty">
						<xsl:text>0000000000000001</xsl:text>
					</xsl:attribute>
					<xsl:attribute name="PreviewPlainText">
						<xsl:if test="normalize-space(title) != ''">
							<xsl:value-of select="normalize-space(title)"/>
							<xsl:text>&lt;br&gt;</xsl:text>
							<xsl:text>&lt;br&gt;</xsl:text>
						</xsl:if>
						<xsl:if test="normalize-space(date) != ''">
							<xsl:value-of select="normalize-space(date)"/>
							<xsl:text>&lt;br&gt;</xsl:text>
							<xsl:text>&lt;br&gt;</xsl:text>
						</xsl:if>
						<xsl:if test="normalize-space(publisher) != ''">
							<xsl:value-of select="normalize-space(publisher)"/>
						</xsl:if>
					</xsl:attribute>
					<xsl:element name="html">
						<xsl:attribute name="xmlns">
							<xsl:text>http://www.w3.org/1999/xhtml</xsl:text>
						</xsl:attribute>
						<xsl:if test="normalize-space(title) != ''">
							<xsl:element name="p">
								<xsl:element name="span">
									<xsl:element name="b">
										<xsl:value-of select="normalize-space(title)"/>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:if>
						<xsl:if test="normalize-space(date) != ''">
							<xsl:element name="p">
								<xsl:element name="span">
									<xsl:element name="i">
										<xsl:value-of select="normalize-space(date)"/>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:if>
						<xsl:if test="normalize-space(publisher) != ''">
							<xsl:element name="p">
								<xsl:element name="span">
									<xsl:element name="i">
										<xsl:value-of select="normalize-space(publisher)"/>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:if>
						<xsl:apply-templates select="body/root"/>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:element name="ap:Offset">
				<xsl:attribute name="Dirty">
					<xsl:text>0000000000000001</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="CX">
					<xsl:text>8.</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="CY">
					<xsl:text>0.</xsl:text>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="ap:Hyperlink">
				<xsl:attribute name="HyperlinkSourceHandling">
					<xsl:text>urn:mindjet:CopySource</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="HyperlinkType">
					<xsl:text>urn:mindjet:Unknown</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="Dirty">
					<xsl:text>0000000000000001</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="Name">
					<xsl:value-of select="normalize-space(title)"/>
				</xsl:attribute>
				<xsl:attribute name="Url">
					<xsl:value-of select="normalize-space(url)"/>
				</xsl:attribute>
				<xsl:attribute name="Hidden">
					<xsl:text>false</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="Target">
					<xsl:text></xsl:text>
				</xsl:attribute>
				<xsl:attribute name="Absolute">
					<xsl:text>false</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="CachedName">
					<xsl:text></xsl:text>
				</xsl:attribute>
			</xsl:element>
		</ap:Topic>
	</xsl:template>

	<xsl:template match="br">
	</xsl:template>

	<xsl:template match="p">
		<xsl:element name="p">
			<xsl:element name="span">
				<xsl:apply-templates />
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="div">
		<xsl:element name="p">
			<xsl:element name="span">
				<xsl:apply-templates />
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="a">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="*">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="text()">
		<xsl:copy-of select="." />
	</xsl:template>

</xsl:stylesheet>