<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	>
<xsl:output method="text" omit-xml-declaration="yes"/>
	<xsl:template match="/articles">
		<xsl:text>Title</xsl:text><xsl:text>&#9;</xsl:text>
		<xsl:text>Date</xsl:text><xsl:text>&#9;</xsl:text>
		<xsl:text>Publisher</xsl:text><xsl:text>&#9;</xsl:text>
		<xsl:text>URL</xsl:text><xsl:text>&#13;</xsl:text><xsl:text>&#10;</xsl:text>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="article">
		<xsl:value-of select="normalize-space(title)"/><xsl:text>&#9;</xsl:text>
		<xsl:value-of select="normalize-space(date)"/><xsl:text>&#9;</xsl:text>
		<xsl:value-of select="normalize-space(publisher)"/><xsl:text>&#9;</xsl:text>
		<!--xsl:text>=HYPERLINK(</xsl:text--><xsl:value-of select="normalize-space(url)"/><!--xsl:text>)</xsl:text-->
		<xsl:text>&#13;</xsl:text><xsl:text>&#10;</xsl:text>
	</xsl:template>

</xsl:stylesheet>
