<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
	>
	<xsl:output method="html" indent="yes" omit-xml-declaration="yes"/>

	<xsl:template match="/">
		<xsl:for-each select="/articles/article">
			<xsl:call-template name="displayArticle" />
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="displayArticle">
		<xsl:element name="span">
			<xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:value-of select="url"/>
				</xsl:attribute>
				<xsl:attribute name="target">
					<xsl:text>_self</xsl:text>
				</xsl:attribute>
				<xsl:value-of select="title"/>
			</xsl:element>
		</xsl:element>
		<xsl:element name="span">
			<xsl:text> - </xsl:text>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
