<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	class DMAMap {
		
		/**
		 * Link to the Document
		 * @var string
		 * */
		public $link;
		
		/**
		 * Title of the map
		 * @var string
		 * */
		public $title;
		
		/**
		 * Description of the map
		 * @var string
		 * */
		public $description;
		
		/**
		 * URL of the screenshot
		 * @var string
		 * */
		public $image;
		
		/**
		 * Name of the country
		 * @var string
		 * */
		public $country;
		
		/**
		 * Name of the theme
		 * @var string
		 * */
		public $theme;
		
		/**
		 * name of the sub-theme
		 * @var string
		 * */
		public $sub_theme;
		
		/**
		 * Scale of the map
		 * @var string
		 * */
		public $scale;
		
		/**
		 * Name of the source
		 * @var string
		 * */
		public $source;
		
		/**
		 * Publication date
		 * @var string
		 * */
		public $pubDate;
	}
?>