<?php
	/**
	 * Class factiva_BankIncomeStatementItems
	 */
	class factiva_BankIncomeStatementItems {
	
		/**
		 * @var double $interestAndFeesOnLoans 
		 */
		public $interestAndFeesOnLoans;
	
		/**
		 * @var double $interestAndDividendsOnInvestmentSecurities 
		 */
		public $interestAndDividendsOnInvestmentSecurities;
	
		/**
		 * @var double $federalFundsAndSecuritiesSoldUnderResaleAgreement 
		 */
		public $federalFundsAndSecuritiesSoldUnderResaleAgreement;
	
		/**
		 * @var double $interestOnDepositsIncome 
		 */
		public $interestOnDepositsIncome;
	
		/**
		 * @var double $otherInterestIncome 
		 */
		public $otherInterestIncome;
	
		/**
		 * @var double $otherNonBankIncome 
		 */
		public $otherNonBankIncome;
	
		/**
		 * @var double $tradingAccountInterest 
		 */
		public $tradingAccountInterest;
	
		/**
		 * @var double $totalBankInterestIncome 
		 */
		public $totalBankInterestIncome;
	
		/**
		 * @var double $interestOnDepositExpense 
		 */
		public $interestOnDepositExpense;
	
		/**
		 * @var double $interestOnOtherBorrowings 
		 */
		public $interestOnOtherBorrowings;
	
		/**
		 * @var double $federalFundsAndSecuritiesSoldUnderRepurchaseAgreement 
		 */
		public $federalFundsAndSecuritiesSoldUnderRepurchaseAgreement;
	
		/**
		 * @var double $totalInterestExpense 
		 */
		public $totalInterestExpense;
	
		/**
		 * @var double $netInterestIncome 
		 */
		public $netInterestIncome;
	
		/**
		 * @var double $loanLossProvision 
		 */
		public $loanLossProvision;
	
		/**
		 * @var double $netInterestIncomeAfterLoanLossProvision 
		 */
		public $netInterestIncomeAfterLoanLossProvision;
	
		/**
		 * @var double $feesAndCommissionsFromOperations 
		 */
		public $feesAndCommissionsFromOperations;
	
		/**
		 * @var double $commissionsAndFeesFromSecuritiesActivities 
		 */
		public $commissionsAndFeesFromSecuritiesActivities;
	
		/**
		 * @var double $feesAndPremiumsInsuranceCommissions 
		 */
		public $feesAndPremiumsInsuranceCommissions;
	
		/**
		 * @var double $creditCardFees 
		 */
		public $creditCardFees;
	
		/**
		 * @var double $feesForOtherCustomerServices 
		 */
		public $feesForOtherCustomerServices;
	
		/**
		 * @var double $realEstateOperationGain 
		 */
		public $realEstateOperationGain;
	
		/**
		 * @var double $dealerTradingAccountProfit 
		 */
		public $dealerTradingAccountProfit;
	
		/**
		 * @var double $investmentSecuritiesGains 
		 */
		public $investmentSecuritiesGains;
	
		/**
		 * @var double $foreignCurrencyGains 
		 */
		public $foreignCurrencyGains;
	
		/**
		 * @var double $unrealizedGains 
		 */
		public $unrealizedGains;
	
		/**
		 * @var double $minimumPensionLiabilityGain 
		 */
		public $minimumPensionLiabilityGain;
	
		/**
		 * @var double $otherUnusualIncome 
		 */
		public $otherUnusualIncome;
	
		/**
		 * @var double $bankNonInterestIncome 
		 */
		public $bankNonInterestIncome;
	
		/**
		 * @var double $depreciationExpense 
		 */
		public $depreciationExpense;
	
		/**
		 * @var double $realEstateOperationExpense 
		 */
		public $realEstateOperationExpense;
	
		/**
		 * @var double $dealerTradingAccountLoss 
		 */
		public $dealerTradingAccountLoss;
	
		/**
		 * @var double $investmentSecuritiesLosses 
		 */
		public $investmentSecuritiesLosses;
	
		/**
		 * @var double $foreignCurrencyLosses 
		 */
		public $foreignCurrencyLosses;
	
		/**
		 * @var double $unrealizedLossesExpense 
		 */
		public $unrealizedLossesExpense;
	
		/**
		 * @var double $minimumPensionLiabilityLoss 
		 */
		public $minimumPensionLiabilityLoss;
	
		/**
		 * @var double $litigationExpense 
		 */
		public $litigationExpense;
	
		/**
		 * @var double $otherExpense 
		 */
		public $otherExpense;
	
		/**
		 * @var double $bankNonInterestExpense 
		 */
		public $bankNonInterestExpense;
	
		/**
		 * @var double $incomeBeforeTax 
		 */
		public $incomeBeforeTax;
	
		/**
		 * @var double $totalIncomeTax 
		 */
		public $totalIncomeTax;
	
		/**
		 * @var double $incomeAfterTax 
		 */
		public $incomeAfterTax;
	
		/**
		 * @var double $minorityInterest 
		 */
		public $minorityInterest;
	
		/**
		 * @var double $equityInAffiliates 
		 */
		public $equityInAffiliates;
	
		/**
		 * @var double $usgaapAdjustment 
		 */
		public $usgaapAdjustment;
	
		/**
		 * @var double $netIncomeBeforeExtraordinatryItems 
		 */
		public $netIncomeBeforeExtraordinatryItems;
	
		/**
		 * @var double $accountingChange 
		 */
		public $accountingChange;
	
		/**
		 * @var double $discontinuedOperations 
		 */
		public $discontinuedOperations;
	
		/**
		 * @var double $extraordinaryItem 
		 */
		public $extraordinaryItem;
	
		/**
		 * @var double $taxOnExtraordinaryItems 
		 */
		public $taxOnExtraordinaryItems;
	
		/**
		 * @var double $totalExtraordinaryItems 
		 */
		public $totalExtraordinaryItems;
	
		/**
		 * @var double $netIncome 
		 */
		public $netIncome;
	
		/**
		 * @var double $preferredDividends 
		 */
		public $preferredDividends;
	
		/**
		 * @var double $generalPartnersDistributions 
		 */
		public $generalPartnersDistributions;
	
		/**
		 * @var double $miscellaneousEarningsAdjustment 
		 */
		public $miscellaneousEarningsAdjustment;
	
		/**
		 * @var double $proFormaAdjustment 
		 */
		public $proFormaAdjustment;
	
		/**
		 * @var double $interestAdjustmentPrimaryEPS 
		 */
		public $interestAdjustmentPrimaryEPS;
	
		/**
		 * @var double $totalAdjustmentsToNetIncome 
		 */
		public $totalAdjustmentsToNetIncome;
	
		/**
		 * @var double $incomeAvailableToCommonExcludingExtraordinaryItems 
		 */
		public $incomeAvailableToCommonExcludingExtraordinaryItems;
	
		/**
		 * @var double $incomeAvailableToCommonIncludingExtraordinaryItems 
		 */
		public $incomeAvailableToCommonIncludingExtraordinaryItems;
	
		/**
		 * @var double $basicWeightedAverageShares 
		 */
		public $basicWeightedAverageShares;
	
		/**
		 * @var double $basicEPSExcludingExtraordinaryItems 
		 */
		public $basicEPSExcludingExtraordinaryItems;
	
		/**
		 * @var double $basicEPSIncludingExtraordinaryItems 
		 */
		public $basicEPSIncludingExtraordinaryItems;
	
		/**
		 * @var double $dilutionAdjustment 
		 */
		public $dilutionAdjustment;
	
		/**
		 * @var double $dilutedNetIncome 
		 */
		public $dilutedNetIncome;
	
		/**
		 * @var double $dilutedWeightedAverageShares 
		 */
		public $dilutedWeightedAverageShares;
	
		/**
		 * @var double $dilutedEPSExcludingExtraordinaryItems 
		 */
		public $dilutedEPSExcludingExtraordinaryItems;
	
		/**
		 * @var double $dilutedEPSIncludingExtraordinaryItems 
		 */
		public $dilutedEPSIncludingExtraordinaryItems;
	
		/**
		 * @var double $dividendsPerShareCommonStockPrimaryIssue 
		 */
		public $dividendsPerShareCommonStockPrimaryIssue;
	
		/**
		 * @var double $dividendsPerShareCommonStockIssue2 
		 */
		public $dividendsPerShareCommonStockIssue2;
	
		/**
		 * @var double $dividendsPerShareCommonStockIssue3 
		 */
		public $dividendsPerShareCommonStockIssue3;
	
		/**
		 * @var double $dividendsPerShareCommonStockIssue4 
		 */
		public $dividendsPerShareCommonStockIssue4;
	
		/**
		 * @var double $grossDividendsCommonStock 
		 */
		public $grossDividendsCommonStock;
	
		/**
		 * @var double $stockBasedCompensationExpense 
		 */
		public $stockBasedCompensationExpense;
	
		/**
		 * @var double $netIncomeAfterStockBasedCompensationExpense 
		 */
		public $netIncomeAfterStockBasedCompensationExpense;
	
		/**
		 * @var double $basicEPSAfterStockBasedCompensationExpense 
		 */
		public $basicEPSAfterStockBasedCompensationExpense;
	
		/**
		 * @var double $dilutedEPSAfterStockBasedCompensationExpense 
		 */
		public $dilutedEPSAfterStockBasedCompensationExpense;
	
		/**
		 * @var double $supplementalInterestExpense 
		 */
		public $supplementalInterestExpense;
	
		/**
		 * @var double $supplementalInterestCapitalized 
		 */
		public $supplementalInterestCapitalized;
	
		/**
		 * @var double $supplementalDepreciation 
		 */
		public $supplementalDepreciation;
	
		/**
		 * @var double $totalSpecialItems 
		 */
		public $totalSpecialItems;
	
		/**
		 * @var double $normalizedIncomeBeforeTax 
		 */
		public $normalizedIncomeBeforeTax;
	
		/**
		 * @var double $effectOfSpecialItemsOnIncomeTaxes 
		 */
		public $effectOfSpecialItemsOnIncomeTaxes;
	
		/**
		 * @var boolean $areSpecialItemsEnteredByAnalyst 
		 */
		public $areSpecialItemsEnteredByAnalyst;
	
		/**
		 * @var double $incomeTaxesExcludingImpactOfSpecialItems 
		 */
		public $incomeTaxesExcludingImpactOfSpecialItems;
	
		/**
		 * @var double $normalizedIncomeAfterTaxes 
		 */
		public $normalizedIncomeAfterTaxes;
	
		/**
		 * @var double $normalizedIncomeAvailableToCommon 
		 */
		public $normalizedIncomeAvailableToCommon;
	
		/**
		 * @var double $basicNormalizedEPS 
		 */
		public $basicNormalizedEPS;
	
		/**
		 * @var double $dilutedNormalizedEPS 
		 */
		public $dilutedNormalizedEPS;
	
		/**
		 * @var double $supplementalAmortizationOfAcquisitionCost 
		 */
		public $supplementalAmortizationOfAcquisitionCost;
	
		/**
		 * @var double $supplementalAmortizationOfIntangibles 
		 */
		public $supplementalAmortizationOfIntangibles;
	
		/**
		 * @var double $rentalExpenses 
		 */
		public $rentalExpenses;
	
		/**
		 * @var double $supplementalEPS 
		 */
		public $supplementalEPS;
	}
?>