<?php
	/**
	 * Class factiva_EUROBalanceSheetItems
	 */
	class factiva_EUROBalanceSheetItems {
	
		/**
		 * @var double $issuedCapital 
		 */
		public $issuedCapital;
	
		/**
		 * @var double $preferredCapital 
		 */
		public $preferredCapital;
	
		/**
		 * @var double $sharePremiumAccount 
		 */
		public $sharePremiumAccount;
	
		/**
		 * @var double $subscribedCapital 
		 */
		public $subscribedCapital;
	
		/**
		 * @var double $uncalledCapital 
		 */
		public $uncalledCapital;
	
		/**
		 * @var double $surplusOfRevaluation 
		 */
		public $surplusOfRevaluation;
	
		/**
		 * @var double $capitalReserves 
		 */
		public $capitalReserves;
	
		/**
		 * @var double $legalReserves 
		 */
		public $legalReserves;
	
		/**
		 * @var double $taxedReserves 
		 */
		public $taxedReserves;
	
		/**
		 * @var double $specialReserves 
		 */
		public $specialReserves;
	
		/**
		 * @var double $unavailableReserves 
		 */
		public $unavailableReserves;
	
		/**
		 * @var double $voluntaryReserves 
		 */
		public $voluntaryReserves;
	
		/**
		 * @var double $statutoryReserves 
		 */
		public $statutoryReserves;
	
		/**
		 * @var double $optionalReserves 
		 */
		public $optionalReserves;
	
		/**
		 * @var double $availableReserves 
		 */
		public $availableReserves;
	
		/**
		 * @var double $otherReserves 
		 */
		public $otherReserves;
	
		/**
		 * @var double $unclassifiedReserves 
		 */
		public $unclassifiedReserves;
	
		/**
		 * @var double $totalReserves 
		 */
		public $totalReserves;
	
		/**
		 * @var double $totalReservesAndProvisions 
		 */
		public $totalReservesAndProvisions;
	
		/**
		 * @var double $profitsForTheYear 
		 */
		public $profitsForTheYear;
	
		/**
		 * @var double $profitBroughtForward 
		 */
		public $profitBroughtForward;
	
		/**
		 * @var double $retainedEarnings 
		 */
		public $retainedEarnings;
	
		/**
		 * @var double $capitalSubsidiesAndGrants 
		 */
		public $capitalSubsidiesAndGrants;
	
		/**
		 * @var double $advanceDividends 
		 */
		public $advanceDividends;
	
		/**
		 * @var double $totalStockholdersEquity 
		 */
		public $totalStockholdersEquity;
	
		/**
		 * @var double $minorityInterests 
		 */
		public $minorityInterests;
	
		/**
		 * @var double $deferredTaxation 
		 */
		public $deferredTaxation;
	
		/**
		 * @var double $otherProvisions 
		 */
		public $otherProvisions;
	
		/**
		 * @var double $longTermProvisions 
		 */
		public $longTermProvisions;
	
		/**
		 * @var double $allowances 
		 */
		public $allowances;
	
		/**
		 * @var double $fixedAssetsDepreciation 
		 */
		public $fixedAssetsDepreciation;
	
		/**
		 * @var double $intangibleAssetDepreciation 
		 */
		public $intangibleAssetDepreciation;
	
		/**
		 * @var double $stockDepreciation 
		 */
		public $stockDepreciation;
	
		/**
		 * @var double $provisionForBadDebts 
		 */
		public $provisionForBadDebts;
	
		/**
		 * @var double $provisionForRisks 
		 */
		public $provisionForRisks;
	
		/**
		 * @var double $provisionForPensions 
		 */
		public $provisionForPensions;
	
		/**
		 * @var double $provisionForFuturePurchases 
		 */
		public $provisionForFuturePurchases;
	
		/**
		 * @var double $provisionsAndAllowances 
		 */
		public $provisionsAndAllowances;
	
		/**
		 * @var double $convertibleDebentures 
		 */
		public $convertibleDebentures;
	
		/**
		 * @var double $otherDebentures 
		 */
		public $otherDebentures;
	
		/**
		 * @var double $mortgagesAndLoans 
		 */
		public $mortgagesAndLoans;
	
		/**
		 * @var double $advancePayments 
		 */
		public $advancePayments;
	
		/**
		 * @var double $tradeAccountsPayable 
		 */
		public $tradeAccountsPayable;
	
		/**
		 * @var double $obligations 
		 */
		public $obligations;
	
		/**
		 * @var double $hirePurchaseDueAfter1Year 
		 */
		public $hirePurchaseDueAfter1Year;
	
		/**
		 * @var double $owingToGroupAssociatedCompanies 
		 */
		public $owingToGroupAssociatedCompanies;
	
		/**
		 * @var double $dueToParticipants 
		 */
		public $dueToParticipants;
	
		/**
		 * @var double $taxesAndSocialSecurity 
		 */
		public $taxesAndSocialSecurity;
	
		/**
		 * @var double $pensionDebts 
		 */
		public $pensionDebts;
	
		/**
		 * @var double $otherLongTermLiabilities 
		 */
		public $otherLongTermLiabilities;
	
		/**
		 * @var double $totalLongTermLiabilities 
		 */
		public $totalLongTermLiabilities;
	
		/**
		 * @var double $tradeCreditors 
		 */
		public $tradeCreditors;
	
		/**
		 * @var double $cambialiCreditors 
		 */
		public $cambialiCreditors;
	
		/**
		 * @var double $advancesReceived 
		 */
		public $advancesReceived;
	
		/**
		 * @var double $bankLoansAndOverdrafts 
		 */
		public $bankLoansAndOverdrafts;
	
		/**
		 * @var double $currentBankDebts 
		 */
		public $currentBankDebts;
	
		/**
		 * @var double $debentureLoans 
		 */
		public $debentureLoans;
	
		/**
		 * @var double $otherLoans 
		 */
		public $otherLoans;
	
		/**
		 * @var double $otherLiabilities 
		 */
		public $otherLiabilities;
	
		/**
		 * @var double $loansRepayableWithin1Year 
		 */
		public $loansRepayableWithin1Year;
	
		/**
		 * @var double $commercialDebts 
		 */
		public $commercialDebts;
	
		/**
		 * @var double $loansFromPrincipals 
		 */
		public $loansFromPrincipals;
	
		/**
		 * @var double $debtsOnFixedAssets 
		 */
		public $debtsOnFixedAssets;
	
		/**
		 * @var double $incomeStatedInAdvance 
		 */
		public $incomeStatedInAdvance;
	
		/**
		 * @var double $financialDebts 
		 */
		public $financialDebts;
	
		/**
		 * @var double $otherTradeCreditors 
		 */
		public $otherTradeCreditors;
	
		/**
		 * @var double $taxes 
		 */
		public $taxes;
	
		/**
		 * @var double $wagesAndSocialSecurity 
		 */
		public $wagesAndSocialSecurity;
	
		/**
		 * @var double $taxationAndSocialSecurity 
		 */
		public $taxationAndSocialSecurity;
	
		/**
		 * @var double $otherCurrentLiabilities 
		 */
		public $otherCurrentLiabilities;
	
		/**
		 * @var double $dueToGroupCompanies 
		 */
		public $dueToGroupCompanies;
	
		/**
		 * @var double $longTermLiabilitiesDueWithin1Year 
		 */
		public $longTermLiabilitiesDueWithin1Year;
	
		/**
		 * @var double $proposedDividends 
		 */
		public $proposedDividends;
	
		/**
		 * @var double $generalAccounts 
		 */
		public $generalAccounts;
	
		/**
		 * @var double $provisionsForCurrentYear 
		 */
		public $provisionsForCurrentYear;
	
		/**
		 * @var double $owingToParticipants 
		 */
		public $owingToParticipants;
	
		/**
		 * @var double $hirePurchaseDueWithin1Year 
		 */
		public $hirePurchaseDueWithin1Year;
	
		/**
		 * @var double $accrualsAndDeferredIncome 
		 */
		public $accrualsAndDeferredIncome;
	
		/**
		 * @var double $totalCurrentLiabilities 
		 */
		public $totalCurrentLiabilities;
	
		/**
		 * @var double $totalDebts 
		 */
		public $totalDebts;
	
		/**
		 * @var double $regularisationAccount 
		 */
		public $regularisationAccount;
	
		/**
		 * @var double $totalLiabilities 
		 */
		public $totalLiabilities;
	
		/**
		 * @var double $nonIssuedCapital 
		 */
		public $nonIssuedCapital;
	
		/**
		 * @var double $organisationalExpenses 
		 */
		public $organisationalExpenses;
	
		/**
		 * @var double $researchAndDevelopment 
		 */
		public $researchAndDevelopment;
	
		/**
		 * @var double $amortisationCosts 
		 */
		public $amortisationCosts;
	
		/**
		 * @var double $patents 
		 */
		public $patents;
	
		/**
		 * @var double $goodwill 
		 */
		public $goodwill;
	
		/**
		 * @var double $otherIntangibles 
		 */
		public $otherIntangibles;
	
		/**
		 * @var double $intangibles 
		 */
		public $intangibles;
	
		/**
		 * @var double $leases 
		 */
		public $leases;
	
		/**
		 * @var double $land 
		 */
		public $land;
	
		/**
		 * @var double $buildings 
		 */
		public $buildings;
	
		/**
		 * @var double $landAndBuildings 
		 */
		public $landAndBuildings;
	
		/**
		 * @var double $machineryAndTools 
		 */
		public $machineryAndTools;
	
		/**
		 * @var double $fixturesAndEquipment 
		 */
		public $fixturesAndEquipment;
	
		/**
		 * @var double $furnitureAndVehicles 
		 */
		public $furnitureAndVehicles;
	
		/**
		 * @var double $fixedAssetsUnderConstruction 
		 */
		public $fixedAssetsUnderConstruction;
	
		/**
		 * @var double $otherFixedAssets 
		 */
		public $otherFixedAssets;
	
		/**
		 * @var double $nonOperationalFixedAssets 
		 */
		public $nonOperationalFixedAssets;
	
		/**
		 * @var double $totalTangibleFixedAssets 
		 */
		public $totalTangibleFixedAssets;
	
		/**
		 * @var double $longTermInvestments 
		 */
		public $longTermInvestments;
	
		/**
		 * @var double $otherFinancialAssets 
		 */
		public $otherFinancialAssets;
	
		/**
		 * @var double $investmentInOwnShares 
		 */
		public $investmentInOwnShares;
	
		/**
		 * @var double $sharesHeldInAssociatedCompanies 
		 */
		public $sharesHeldInAssociatedCompanies;
	
		/**
		 * @var double $participatingInterest 
		 */
		public $participatingInterest;
	
		/**
		 * @var double $deposits 
		 */
		public $deposits;
	
		/**
		 * @var double $totalFinancialAssets 
		 */
		public $totalFinancialAssets;
	
		/**
		 * @var double $otherLongTermAssets 
		 */
		public $otherLongTermAssets;
	
		/**
		 * @var double $receivablesDueAfter1Year 
		 */
		public $receivablesDueAfter1Year;
	
		/**
		 * @var double $loansToParticipants 
		 */
		public $loansToParticipants;
	
		/**
		 * @var double $loansToAssociatedCompanies 
		 */
		public $loansToAssociatedCompanies;
	
		/**
		 * @var double $provisionsForLongTermDepreciation 
		 */
		public $provisionsForLongTermDepreciation;
	
		/**
		 * @var double $totalAssetInvestment 
		 */
		public $totalAssetInvestment;
	
		/**
		 * @var double $depreciationAndAmortisation 
		 */
		public $depreciationAndAmortisation;
	
		/**
		 * @var double $totalNonCurrentAssets 
		 */
		public $totalNonCurrentAssets;
	
		/**
		 * @var double $deferredTaxAssets 
		 */
		public $deferredTaxAssets;
	
		/**
		 * @var double $buildingsHeldForResale 
		 */
		public $buildingsHeldForResale;
	
		/**
		 * @var double $rawMaterialsInventories 
		 */
		public $rawMaterialsInventories;
	
		/**
		 * @var double $workInProgressInventories 
		 */
		public $workInProgressInventories;
	
		/**
		 * @var double $finishedGoodsInventories 
		 */
		public $finishedGoodsInventories;
	
		/**
		 * @var double $merchandise 
		 */
		public $merchandise;
	
		/**
		 * @var double $fixedAssetsForSale 
		 */
		public $fixedAssetsForSale;
	
		/**
		 * @var double $prepayments 
		 */
		public $prepayments;
	
		/**
		 * @var double $stocks 
		 */
		public $stocks;
	
		/**
		 * @var double $prepaidOrdersInProgress 
		 */
		public $prepaidOrdersInProgress;
	
		/**
		 * @var double $netStocksAndWorkInProgress 
		 */
		public $netStocksAndWorkInProgress;
	
		/**
		 * @var double $netTradeAccountsReceivable 
		 */
		public $netTradeAccountsReceivable;
	
		/**
		 * @var double $discountedBillsNotYetDue 
		 */
		public $discountedBillsNotYetDue;
	
		/**
		 * @var double $cambialiDebtors 
		 */
		public $cambialiDebtors;
	
		/**
		 * @var double $otherReceivables 
		 */
		public $otherReceivables;
	
		/**
		 * @var double $generalAccounts2 
		 */
		public $generalAccounts2;
	
		/**
		 * @var double $otherShortTermLoans 
		 */
		public $otherShortTermLoans;
	
		/**
		 * @var double $doubtfulReceivables 
		 */
		public $doubtfulReceivables;
	
		/**
		 * @var double $totalReceivables 
		 */
		public $totalReceivables;
	
		/**
		 * @var double $prepaidExpenses 
		 */
		public $prepaidExpenses;
	
		/**
		 * @var double $owingFromAssociatedCompanies 
		 */
		public $owingFromAssociatedCompanies;
	
		/**
		 * @var double $owingFromParticipants 
		 */
		public $owingFromParticipants;
	
		/**
		 * @var double $cashAndLiquidAssets 
		 */
		public $cashAndLiquidAssets;
	
		/**
		 * @var double $moneyOnDepositAtBank 
		 */
		public $moneyOnDepositAtBank;
	
		/**
		 * @var double $marketableSecurities 
		 */
		public $marketableSecurities;
	
		/**
		 * @var double $shortTermInvestments 
		 */
		public $shortTermInvestments;
	
		/**
		 * @var double $sharesInAssociatedCompanies 
		 */
		public $sharesInAssociatedCompanies;
	
		/**
		 * @var double $recoverableTaxation 
		 */
		public $recoverableTaxation;
	
		/**
		 * @var double $accruals 
		 */
		public $accruals;
	
		/**
		 * @var double $unpaidCapital 
		 */
		public $unpaidCapital;
	
		/**
		 * @var double $totalOtherCurrentAssets 
		 */
		public $totalOtherCurrentAssets;
	
		/**
		 * @var double $totalCurrentAssets 
		 */
		public $totalCurrentAssets;
	
		/**
		 * @var double $prepaidExpensesAndDeferredCosts 
		 */
		public $prepaidExpensesAndDeferredCosts;
	
		/**
		 * @var double $totalAssets 
		 */
		public $totalAssets;
	}
?>