<?php
	/**
	 * Class factiva_KeyFinancialsItems
	 */
	class factiva_KeyFinancialsItems {
	
		/**
		 * @var double $totalAssets 
		 */
		public $totalAssets;
	
		/**
		 * @var double $totalLiabilities 
		 */
		public $totalLiabilities;
	
		/**
		 * @var double $totalLongTermDebt 
		 */
		public $totalLongTermDebt;
	
		/**
		 * @var double $sharesOutstandingCommonStockPrimaryIssue 
		 */
		public $sharesOutstandingCommonStockPrimaryIssue;
	
		/**
		 * @var double $sharesOutstandingPreferredStockPrimaryIssue 
		 */
		public $sharesOutstandingPreferredStockPrimaryIssue;
	
		/**
		 * @var int $employees 
		 */
		public $employees;
	
		/**
		 * @var double $sales 
		 */
		public $sales;
	
		/**
		 * @var double $salesUSDollars 
		 */
		public $salesUSDollars;
	
		/**
		 * @var double $netIncome 
		 */
		public $netIncome;
	
		/**
		 * @var double $operatingIncome 
		 */
		public $operatingIncome;
	
		/**
		 * @var double $dilutedEPSExcludingExtraordinaryItems 
		 */
		public $dilutedEPSExcludingExtraordinaryItems;
	
		/**
		 * @var double $researchAndDevelopment 
		 */
		public $researchAndDevelopment;
	
		/**
		 * @var double $capitalExpenditures 
		 */
		public $capitalExpenditures;
	
		/**
		 * @var double $cashFromOperatingActivities 
		 */
		public $cashFromOperatingActivities;
	
		/**
		 * @var string $salesDataAccuracy (DataAccuracy)
		 */
		public $salesDataAccuracy;
	
		/**
		 * @var string $employeesDataAccuracy (DataAccuracy)
		 */
		public $employeesDataAccuracy;
	
		/**
		 * @var double $employeeGrowth 
		 */
		public $employeeGrowth;
	
		/**
		 * @var double $salesGrowth 
		 */
		public $salesGrowth;
	}
?>