<?php
	/**
	 * Contains the list of combinability strings for this source.
	 * @see WSKSource
	 * */
	class WSKCombinabilityList   {
		
		/**
		 * The combinability family list is a list of strings defining the source's combinability family. For example if a source has a combinability family of "A", then it is combinable with all other sources with "A" in their combinability family. If a source is not combinable, the family list returned will be empty.
		 * @var string[] A string or an array of strings
		 * */
		public $combinability;
		
		/**
		 * Constructs a sourceGuideList object
		 * @param string[] $combinability The combinability family list is a list of strings defining the source's combinability family. For example if a source has a combinability family of "A", then it is combinable with all other sources with "A" in their combinability family. If a source is not combinable, the family list returned will be empty.
		 * */
		public function __construct( $combinability = null ) {
			$this->combinability = null === $combinability ? array() : $combinability;
		}
	}
?>