<?php
	/**
	 * This class represents the type of object returned by a GetAttachments operation
	 * @see WSKGetAttachmentsRequest
	 * */
	class WSKGetAttachmentsResponse {
		
		/**
		 * Encloses zero or more attachmentContainer  elements, each of which identifies a single document attachment.
		 * @var WSKAttachmentContainerList
		 * */
		public $attachmentContainerList;
		
		/**
		 * Constructs a WSKGetAttachmentsResponse
		 * @param WSKAttachmentContainerList $attachmentContainerList
		 * */
		public function __construct( $attachmentContainerList = null ) {
			$this->attachmentContainerList = $attachmentContainerList;
		}
	}
?>