<?php

/* All the allowed webservice classes */
$WSClasses = array(
"Tariqa",
"TariqaAuthentication",
);

/* The classmap associative array. When you want to allow objects as a parameter for
 * your webservice method. ie. saveObject($object). By default $object will now be
 * a stdClass, but when you add a classname defined in the type description in the @param
 * documentation tag and add your class to the classmap below, the object will be of the
 * given type. Requires PHP 5.0.3+
 */
$WSStructures = array(
	"Country" => "Country",
	"Country2" => "Country2",
	"Region" => "Region",
	"OfficialRegion" => "OfficialRegion", 
	"MainRegion" => "MainRegion",
	"Continent" => "Continent",
	"Newsletter" => "Newsletter",
	"NewsletterCategory" => "NewsletterCategory", 
	"NewsletterArticle" => "NewsletterArticle",
	"MonitoringItem" => "MonitoringItem",
	"WebRequest" => "WebRequest",
	"WebDocument" => "WebDocument",
	"Channel" => "Channel",
	"Article" => "Article",
	"Resultset" => "Resultset",
	"Pair" => "Pair",
	"MultiPair" => "MultiPair",
	"Cookie" => "Cookie",
	"Cluster" => "Cluster",
	"Theme" => "Theme",
	"Source" => "Source",
	"Engine" => "Engine",
	"Query" => "Query",
	"RSS_feed" => "RSS_feed",
	"RSS_article" => "RSS_article",
	"Latestnews_article" => "Latestnews_article",
	"Latestnews_feed" => "Latestnews_feed",
	"VirageDocument" => "VirageDocument",
	'VirageHeadline' => 'VirageHeadline', 
	"VirageDocumentImages" => "VirageDocumentImages",
	"VirageDocumentImage" => "VirageDocumentImage",
	"VirageSearchQuery" => "VirageSearchQuery",
	"VirageSearchResult" => "VirageSearchResult",
	"VirageDocument" => "VirageDocument",
	'VirageWord' => 'VirageWord', 
	
	"OxfordAnalyticaSimpleQuery" => "OxfordAnalyticaSimpleQuery",
	"OxfordAnalyticaDetailedQuery" => "OxfordAnalyticaDetailedQuery",
	"OxfordAnalyticaQueryBase" => "OxfordAnalyticaQueryBase",
	"OxfordAnalyticaSearchResult" => "OxfordAnalyticaSearchResult",
	"OxfordAnalyticaNavigation" => "OxfordAnalyticaNavigation",
	"OxfordAnalyticaHitItem" => "OxfordAnalyticaHitItem",
	"OxfordAnalyticaDocument" => "OxfordAnalyticaDocument",
	"OxfordAnalyticaAdvancedQuery" => "OxfordAnalyticaAdvancedQuery", 
	
	"Delegation" => "Delegation",
	"DelegationPersonnel" => "DelegationPersonnel",
	
	"CrisisCorrespondent" => "CrisisCorrespondent",
	
	"AuthenticationResponse" => "AuthenticationResponse",
	"UserDetails" => "UserDetails",
	
	"LexisNexisSource" =>"LexisNexisSource",
	"LexisNexisFolder" => "LexisNexisFolder",
	"LexisNexisBrowseSourcesResponse" => "LexisNexisBrowseSourcesResponse",
	"LexisNexisQuery" => "LexisNexisQuery",
	"LexisNexisSearchResult" => "LexisNexisSearchResult",
	"LexisNexisSortResultsQuery" => "LexisNexisSortResultsQuery",
	"LexisNexisDocument" => "LexisNexisDocument",
	"LexisNexisAttachment" => "LexisNexisAttachment",
	"LexisNexisSourceSearchRequest" => "LexisNexisSourceSearchRequest",
	"LexisNexisSourceSearchResponse" => "LexisNexisSourceSearchResponse",
	
	"LDAPEntry" => "LDAPEntry",
	'HotspotsResultSet' => 'HotspotsResultSet', 
	
	"Attachment" => "Attachment",
	"VideoArchiveRecord" => "VideoArchiveRecord",
	
	"LatestNewsDocuments" => "LatestNewsDocuments",
	"LatestNewsResultset" => "LatestNewsResultset",
	"LatestNewsLanguage" => "LatestNewsLanguage", 
	'LatestNewsQuery' => 'LatestNewsQuery', 
	'LatestNewsResultSetIDOL' => 'LatestNewsResultSetIDOL', 
	
	"GoogleQuery" => "GoogleQuery",
	"GoogleResultset" => "GoogleResultset",
	"GoogleSearchResult" => "GoogleSearchResult",
	
	'YahooQuery' => 'YahooQuery', 
	'YahooResultSet' => 'YahooResultSet', 
	'YahooResult' => 'YahooResult', 
	
	"FactivaContentResultSet" => "FactivaContentResultSet",
	"FactivaContentHeadline" => "FactivaContentHeadline",
	"FactivaDocument" => "FactivaDocument",
	"FactivaContentPart" => "FactivaContentPart",
	"FactivaContentQuery" => "FactivaContentQuery",
	"FactivaPart" => "FactivaPart",
	"FactivaSource" => "FactivaSource",
	"FactivaSourceQuery" => "FactivaSourceQuery",
	"FactivaSourceResultSet" => "FactivaSourceResultSet",
	"FactivaSourceResultSet" => "FactivaSourceGroup",
	"FactivaSourceResultSet" => "FactivaSourceGroupQuery",
	"FactivaSourceResultSet" => "FactivaSourceGroupResultSet",

	"ReliefWebMap" => "ReliefWebMap",
	
	'QuickSearchSource' => 'QuickSearchSource',
	'FullSearchSource' => 'FullSearchSource', 
	'AdvancedSearch' => 'AdvancedSearch', 

	"TariqaTVChannel" => "TariqaTVChannel",
	"TariqaTVChannelCategory" => "TariqaTVChannelCategory",   
	"TariqaRadioChannel" => "TariqaRadioChannel",
	"TariqaRadioChannelCategory" => "TariqaRadioChannelCategory",   

	"SystemCacheUser" => "SystemCacheUser",
	"NewStickerGroup" => "NewStickerGroup",
	
	"ThemeTopic" => "ThemeTopic",
	"TopicQuery" => "TopicQuery",
	"ThemeTopicCollection" => "ThemeTopicCollection",
	"ThemeUsers" => "ThemeUsers",
	
	"GlobalAtlas" => "GlobalAtlas",
	
	"WikipediaCountryProfile" => "WikipediaCountryProfile",
	"WikipediaDetail" => "WikipediaDetail",
	
	"DMAMap" => "DMAMap",
	'IDOLQuery' => 'IDOLQuery', 
	'IDOLResultSet' => 'IDOLResultSet', 
	'IDOLDocument' => 'IDOLDocument', 
);

?>