<?php
	/**
	 * Class factiva_BalanceSheetItems
	 */
	class factiva_BalanceSheetItems {
	
		/**
		 * @var double $cash 
		 */
		public $cash;
	
		/**
		 * @var double $cashAndEquivalents 
		 */
		public $cashAndEquivalents;
	
		/**
		 * @var double $shortTermInvestments 
		 */
		public $shortTermInvestments;
	
		/**
		 * @var double $cashAndShortTermInvestments 
		 */
		public $cashAndShortTermInvestments;
	
		/**
		 * @var double $grossTradeAccountsReceivable 
		 */
		public $grossTradeAccountsReceivable;
	
		/**
		 * @var double $provisionForDoubtfulAccounts 
		 */
		public $provisionForDoubtfulAccounts;
	
		/**
		 * @var double $netTradeAccountsReceivable 
		 */
		public $netTradeAccountsReceivable;
	
		/**
		 * @var double $notesReceivableShortTerm 
		 */
		public $notesReceivableShortTerm;
	
		/**
		 * @var double $otherReceivables 
		 */
		public $otherReceivables;
	
		/**
		 * @var double $netTotalReceivables 
		 */
		public $netTotalReceivables;
	
		/**
		 * @var double $finishedGoodsInventories 
		 */
		public $finishedGoodsInventories;
	
		/**
		 * @var double $workInProgressInventories 
		 */
		public $workInProgressInventories;
	
		/**
		 * @var double $rawMaterialsInventories 
		 */
		public $rawMaterialsInventories;
	
		/**
		 * @var double $otherInventories 
		 */
		public $otherInventories;
	
		/**
		 * @var double $lifoReserve 
		 */
		public $lifoReserve;
	
		/**
		 * @var double $gasInStorageInventory 
		 */
		public $gasInStorageInventory;
	
		/**
		 * @var double $fuelInventory 
		 */
		public $fuelInventory;
	
		/**
		 * @var double $totalInventory 
		 */
		public $totalInventory;
	
		/**
		 * @var double $prepaidExpenses 
		 */
		public $prepaidExpenses;
	
		/**
		 * @var double $restrictedCashCurrent 
		 */
		public $restrictedCashCurrent;
	
		/**
		 * @var double $deferredIncomeTaxCurrentAsset 
		 */
		public $deferredIncomeTaxCurrentAsset;
	
		/**
		 * @var double $unbilledUtilityRevenues 
		 */
		public $unbilledUtilityRevenues;
	
		/**
		 * @var double $deferredGasCost 
		 */
		public $deferredGasCost;
	
		/**
		 * @var double $discontinuedOperationsCurrentAsset 
		 */
		public $discontinuedOperationsCurrentAsset;
	
		/**
		 * @var double $otherCurrentAssets 
		 */
		public $otherCurrentAssets;
	
		/**
		 * @var double $totalOtherCurrentAssets 
		 */
		public $totalOtherCurrentAssets;
	
		/**
		 * @var double $totalCurrentAssets 
		 */
		public $totalCurrentAssets;
	
		/**
		 * @var double $cashAndDueFromBanks 
		 */
		public $cashAndDueFromBanks;
	
		/**
		 * @var double $interestEarningDeposits 
		 */
		public $interestEarningDeposits;
	
		/**
		 * @var double $federalFundsAndSecuritiesSoldUnderResaleAgreement 
		 */
		public $federalFundsAndSecuritiesSoldUnderResaleAgreement;
	
		/**
		 * @var double $tradingAccountAssets 
		 */
		public $tradingAccountAssets;
	
		/**
		 * @var double $fhlbStock 
		 */
		public $fhlbStock;
	
		/**
		 * @var double $otherShortTermInvestments 
		 */
		public $otherShortTermInvestments;
	
		/**
		 * @var double $securitiesHeld 
		 */
		public $securitiesHeld;
	
		/**
		 * @var double $securitiesForSale 
		 */
		public $securitiesForSale;
	
		/**
		 * @var double $totalInvestmentSecurities 
		 */
		public $totalInvestmentSecurities;
	
		/**
		 * @var double $loansHeldForSale 
		 */
		public $loansHeldForSale;
	
		/**
		 * @var double $otherEarningAssets 
		 */
		public $otherEarningAssets;
	
		/**
		 * @var double $customerAcceptances 
		 */
		public $customerAcceptances;
	
		/**
		 * @var double $totalOtherEarningAssets 
		 */
		public $totalOtherEarningAssets;
	
		/**
		 * @var double $totalGrossLoans 
		 */
		public $totalGrossLoans;
	
		/**
		 * @var double $loanLossAllowances 
		 */
		public $loanLossAllowances;
	
		/**
		 * @var double $unearnedIncome 
		 */
		public $unearnedIncome;
	
		/**
		 * @var double $netLoans 
		 */
		public $netLoans;
	
		/**
		 * @var double $buildings 
		 */
		public $buildings;
	
		/**
		 * @var double $landImprovements 
		 */
		public $landImprovements;
	
		/**
		 * @var double $machineryEquipment 
		 */
		public $machineryEquipment;
	
		/**
		 * @var double $constructionInProgress 
		 */
		public $constructionInProgress;
	
		/**
		 * @var double $leases 
		 */
		public $leases;
	
		/**
		 * @var double $naturalResources 
		 */
		public $naturalResources;
	
		/**
		 * @var double $otherPropertyPlantEquipment 
		 */
		public $otherPropertyPlantEquipment;
	
		/**
		 * @var double $grossPropertyPlantEquipment 
		 */
		public $grossPropertyPlantEquipment;
	
		/**
		 * @var double $accumulatedDepreciation 
		 */
		public $accumulatedDepreciation;
	
		/**
		 * @var double $netPropertyPlantEquipment 
		 */
		public $netPropertyPlantEquipment;
	
		/**
		 * @var double $grossGoodwill 
		 */
		public $grossGoodwill;
	
		/**
		 * @var double $accumulatedGoodwillAmortization 
		 */
		public $accumulatedGoodwillAmortization;
	
		/**
		 * @var double $netGoodwill 
		 */
		public $netGoodwill;
	
		/**
		 * @var double $grossIntangibles 
		 */
		public $grossIntangibles;
	
		/**
		 * @var double $accumulatedIntangibleAmortization 
		 */
		public $accumulatedIntangibleAmortization;
	
		/**
		 * @var double $netIntangibles 
		 */
		public $netIntangibles;
	
		/**
		 * @var double $utilityPlant 
		 */
		public $utilityPlant;
	
		/**
		 * @var double $utilityPlantAccumulatedDepreciation 
		 */
		public $utilityPlantAccumulatedDepreciation;
	
		/**
		 * @var double $netUtilityPlant 
		 */
		public $netUtilityPlant;
	
		/**
		 * @var double $explorationAndProduction 
		 */
		public $explorationAndProduction;
	
		/**
		 * @var double $accumulatedDepletion 
		 */
		public $accumulatedDepletion;
	
		/**
		 * @var double $netTotalUtilityPlant 
		 */
		public $netTotalUtilityPlant;
	
		/**
		 * @var double $affiliateCompaniesLongTermInvestments 
		 */
		public $affiliateCompaniesLongTermInvestments;
	
		/**
		 * @var double $otherLongTermInvestments 
		 */
		public $otherLongTermInvestments;
	
		/**
		 * @var double $totalLongTermInvestments 
		 */
		public $totalLongTermInvestments;
	
		/**
		 * @var double $insuranceReceivables 
		 */
		public $insuranceReceivables;
	
		/**
		 * @var double $noteReceivableLongTerm 
		 */
		public $noteReceivableLongTerm;
	
		/**
		 * @var double $deferredCharges 
		 */
		public $deferredCharges;
	
		/**
		 * @var double $pensionBenefitsOverfunded 
		 */
		public $pensionBenefitsOverfunded;
	
		/**
		 * @var double $deferredIncomeTaxLongTermAsset 
		 */
		public $deferredIncomeTaxLongTermAsset;
	
		/**
		 * @var double $discontinuedOperationsLongTermAsset 
		 */
		public $discontinuedOperationsLongTermAsset;
	
		/**
		 * @var double $restrictedCashLongTerm 
		 */
		public $restrictedCashLongTerm;
	
		/**
		 * @var double $otherLongTermAssets 
		 */
		public $otherLongTermAssets;
	
		/**
		 * @var double $totalOtherLongTermAssets 
		 */
		public $totalOtherLongTermAssets;
	
		/**
		 * @var double $deferredPolicyAcquisitionCosts 
		 */
		public $deferredPolicyAcquisitionCosts;
	
		/**
		 * @var double $securitiesIndebtednessOfRelatedParties 
		 */
		public $securitiesIndebtednessOfRelatedParties;
	
		/**
		 * @var double $accruedInvestmentIncome 
		 */
		public $accruedInvestmentIncome;
	
		/**
		 * @var double $reinsuranceAsset 
		 */
		public $reinsuranceAsset;
	
		/**
		 * @var double $separateAccountsAssets 
		 */
		public $separateAccountsAssets;
	
		/**
		 * @var double $interestReceivable 
		 */
		public $interestReceivable;
	
		/**
		 * @var double $otherRealEstateOwned 
		 */
		public $otherRealEstateOwned;
	
		/**
		 * @var double $otherAssets 
		 */
		public $otherAssets;
	
		/**
		 * @var double $totalOtherAssets 
		 */
		public $totalOtherAssets;
	
		/**
		 * @var double $totalAssets 
		 */
		public $totalAssets;
	
		/**
		 * @var double $accountsPayable 
		 */
		public $accountsPayable;
	
		/**
		 * @var double $payableAccrued 
		 */
		public $payableAccrued;
	
		/**
		 * @var double $accruedExpenses 
		 */
		public $accruedExpenses;
	
		/**
		 * @var double $policyLiabilities 
		 */
		public $policyLiabilities;
	
		/**
		 * @var double $insuranceReserves 
		 */
		public $insuranceReserves;
	
		/**
		 * @var double $unearnedPremiumUnearnedRevenue 
		 */
		public $unearnedPremiumUnearnedRevenue;
	
		/**
		 * @var double $repurchaseAgreements 
		 */
		public $repurchaseAgreements;
	
		/**
		 * @var double $separateAccountsLiability 
		 */
		public $separateAccountsLiability;
	
		/**
		 * @var double $otherPolicyholdersFunds 
		 */
		public $otherPolicyholdersFunds;
	
		/**
		 * @var double $reinsuranceLiability 
		 */
		public $reinsuranceLiability;
	
		/**
		 * @var double $totalPolicyLiabilities 
		 */
		public $totalPolicyLiabilities;
	
		/**
		 * @var double $nonInterestBearingDeposits 
		 */
		public $nonInterestBearingDeposits;
	
		/**
		 * @var double $interestBearingDeposits 
		 */
		public $interestBearingDeposits;
	
		/**
		 * @var double $otherDeposits 
		 */
		public $otherDeposits;
	
		/**
		 * @var double $totalDeposits 
		 */
		public $totalDeposits;
	
		/**
		 * @var double $fhlbAdvances 
		 */
		public $fhlbAdvances;
	
		/**
		 * @var double $acceptancesOutstanding 
		 */
		public $acceptancesOutstanding;
	
		/**
		 * @var double $otherBearingLiabilities 
		 */
		public $otherBearingLiabilities;
	
		/**
		 * @var double $totalOtherBearingLiabilities 
		 */
		public $totalOtherBearingLiabilities;
	
		/**
		 * @var double $federalFundsPurchasedAndSecuritiesSoldUnderRepurchaseAgreement 
		 */
		public $federalFundsPurchasedAndSecuritiesSoldUnderRepurchaseAgreement;
	
		/**
		 * @var double $commercialPaper 
		 */
		public $commercialPaper;
	
		/**
		 * @var double $otherShortTermBorrowings 
		 */
		public $otherShortTermBorrowings;
	
		/**
		 * @var double $totalShortTermBorrowings 
		 */
		public $totalShortTermBorrowings;
	
		/**
		 * @var double $notesPayableShortTermDebt 
		 */
		public $notesPayableShortTermDebt;
	
		/**
		 * @var double $currentPortionOfLongTermDebtCapitalLeases 
		 */
		public $currentPortionOfLongTermDebtCapitalLeases;
	
		/**
		 * @var double $dividendsPayable 
		 */
		public $dividendsPayable;
	
		/**
		 * @var double $customerAdvances 
		 */
		public $customerAdvances;
	
		/**
		 * @var double $securityDeposits 
		 */
		public $securityDeposits;
	
		/**
		 * @var double $incomeTaxesPayable 
		 */
		public $incomeTaxesPayable;
	
		/**
		 * @var double $otherPayables 
		 */
		public $otherPayables;
	
		/**
		 * @var double $deferredIncomeTaxCurrentLiability 
		 */
		public $deferredIncomeTaxCurrentLiability;
	
		/**
		 * @var double $discontinuedOperationsCurrentLiability 
		 */
		public $discontinuedOperationsCurrentLiability;
	
		/**
		 * @var double $otherCurrentLiabilities 
		 */
		public $otherCurrentLiabilities;
	
		/**
		 * @var double $totalOtherCurrentLiabilities 
		 */
		public $totalOtherCurrentLiabilities;
	
		/**
		 * @var double $totalCurrentLiabilities 
		 */
		public $totalCurrentLiabilities;
	
		/**
		 * @var double $longTermDebt 
		 */
		public $longTermDebt;
	
		/**
		 * @var double $capitalLeaseObligations 
		 */
		public $capitalLeaseObligations;
	
		/**
		 * @var double $totalLongTermDebt 
		 */
		public $totalLongTermDebt;
	
		/**
		 * @var double $totalDebt 
		 */
		public $totalDebt;
	
		/**
		 * @var double $deferredIncomeTaxLongTermLiability 
		 */
		public $deferredIncomeTaxLongTermLiability;
	
		/**
		 * @var double $deferredInvestmentTaxCredit 
		 */
		public $deferredInvestmentTaxCredit;
	
		/**
		 * @var double $totalDeferredIncomeTax 
		 */
		public $totalDeferredIncomeTax;
	
		/**
		 * @var double $minorityInterest 
		 */
		public $minorityInterest;
	
		/**
		 * @var double $reserves 
		 */
		public $reserves;
	
		/**
		 * @var double $pensionBenefitsUnderfunded 
		 */
		public $pensionBenefitsUnderfunded;
	
		/**
		 * @var double $otherLongTermLiabilities 
		 */
		public $otherLongTermLiabilities;
	
		/**
		 * @var double $discontinuedOperationsLiabilities 
		 */
		public $discontinuedOperationsLiabilities;
	
		/**
		 * @var double $otherLiabilities 
		 */
		public $otherLiabilities;
	
		/**
		 * @var double $totalOtherLiabilities 
		 */
		public $totalOtherLiabilities;
	
		/**
		 * @var double $totalLiabilities 
		 */
		public $totalLiabilities;
	
		/**
		 * @var double $redeemablePreferredStock 
		 */
		public $redeemablePreferredStock;
	
		/**
		 * @var double $redeemableConvertiblePreferredStock 
		 */
		public $redeemableConvertiblePreferredStock;
	
		/**
		 * @var double $totalRedeemablePreferredStock 
		 */
		public $totalRedeemablePreferredStock;
	
		/**
		 * @var double $preferredStockNonRedeemable 
		 */
		public $preferredStockNonRedeemable;
	
		/**
		 * @var double $convertiblePreferredStockNonRedeemable 
		 */
		public $convertiblePreferredStockNonRedeemable;
	
		/**
		 * @var double $treasuryStockPreferred 
		 */
		public $treasuryStockPreferred;
	
		/**
		 * @var double $generalPartner 
		 */
		public $generalPartner;
	
		/**
		 * @var double $totalNetPreferredStockNonRedeemable 
		 */
		public $totalNetPreferredStockNonRedeemable;
	
		/**
		 * @var double $commonStock 
		 */
		public $commonStock;
	
		/**
		 * @var double $limitedPartner 
		 */
		public $limitedPartner;
	
		/**
		 * @var double $totalCommonStock 
		 */
		public $totalCommonStock;
	
		/**
		 * @var double $additionalPaidInCapital 
		 */
		public $additionalPaidInCapital;
	
		/**
		 * @var double $retainedEarnings 
		 */
		public $retainedEarnings;
	
		/**
		 * @var double $treasuryStockCommon 
		 */
		public $treasuryStockCommon;
	
		/**
		 * @var double $esopDebtGuarantee 
		 */
		public $esopDebtGuarantee;
	
		/**
		 * @var double $unrealizedGain 
		 */
		public $unrealizedGain;
	
		/**
		 * @var double $translationAdjustment 
		 */
		public $translationAdjustment;
	
		/**
		 * @var double $otherEquity 
		 */
		public $otherEquity;
	
		/**
		 * @var double $minimumPensionLiabilityAdjustment 
		 */
		public $minimumPensionLiabilityAdjustment;
	
		/**
		 * @var double $otherComprehensiveIncome 
		 */
		public $otherComprehensiveIncome;
	
		/**
		 * @var double $totalOtherEquity 
		 */
		public $totalOtherEquity;
	
		/**
		 * @var double $totalEquity 
		 */
		public $totalEquity;
	
		/**
		 * @var double $totalLiabilitiesAndShareholdersEquity 
		 */
		public $totalLiabilitiesAndShareholdersEquity;
	
		/**
		 * @var double $sharesOutstandingCommonStockPrimaryIssue 
		 */
		public $sharesOutstandingCommonStockPrimaryIssue;
	
		/**
		 * @var double $sharesOutstandingCommonStockIssue2 
		 */
		public $sharesOutstandingCommonStockIssue2;
	
		/**
		 * @var double $sharesOutstandingCommonStockIssue3 
		 */
		public $sharesOutstandingCommonStockIssue3;
	
		/**
		 * @var double $sharesOutstandingCommonStockIssue4 
		 */
		public $sharesOutstandingCommonStockIssue4;
	
		/**
		 * @var double $totalCommonSharesOutstanding 
		 */
		public $totalCommonSharesOutstanding;
	
		/**
		 * @var double $treasurySharesCommonPrimaryIssue 
		 */
		public $treasurySharesCommonPrimaryIssue;
	
		/**
		 * @var double $treasurySharesCommonIssue2 
		 */
		public $treasurySharesCommonIssue2;
	
		/**
		 * @var double $treasurySharesCommonIssue3 
		 */
		public $treasurySharesCommonIssue3;
	
		/**
		 * @var double $treasurySharesCommonIssue4 
		 */
		public $treasurySharesCommonIssue4;
	
		/**
		 * @var double $sharesOutstandingPreferredStockPrimaryIssue 
		 */
		public $sharesOutstandingPreferredStockPrimaryIssue;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue2 
		 */
		public $sharesOutstandingPreferredStockIssue2;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue3 
		 */
		public $sharesOutstandingPreferredStockIssue3;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue4 
		 */
		public $sharesOutstandingPreferredStockIssue4;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue5 
		 */
		public $sharesOutstandingPreferredStockIssue5;
	
		/**
		 * @var double $sharesOutstandingPreferredStockIssue6 
		 */
		public $sharesOutstandingPreferredStockIssue6;
	
		/**
		 * @var double $totalPreferredSharesOutstanding 
		 */
		public $totalPreferredSharesOutstanding;
	
		/**
		 * @var double $treasurySharesPreferredPrimaryIssue 
		 */
		public $treasurySharesPreferredPrimaryIssue;
	
		/**
		 * @var double $treasurySharesPreferredIssue2 
		 */
		public $treasurySharesPreferredIssue2;
	
		/**
		 * @var double $treasurySharesPreferredIssue3 
		 */
		public $treasurySharesPreferredIssue3;
	
		/**
		 * @var double $treasurySharesPreferredIssue4 
		 */
		public $treasurySharesPreferredIssue4;
	
		/**
		 * @var double $treasurySharesPreferredIssue5 
		 */
		public $treasurySharesPreferredIssue5;
	
		/**
		 * @var double $treasurySharesPreferredIssue6 
		 */
		public $treasurySharesPreferredIssue6;
	}
?>