<?php
	/**
	 * Class factiva_Quote
	 */
	class factiva_Quote {
	
		/**
		 * @var double $askPrice 
		 */
		public $askPrice;
	
		/**
		 * @var double $bidPrice 
		 */
		public $bidPrice;
	
		/**
		 * @var double $change 
		 */
		public $change;
	
		/**
		 * @var double $changeInNetAssetValue 
		 */
		public $changeInNetAssetValue;
	
		/**
		 * @var string $closeDate 
		 */
		public $closeDate;
	
		/**
		 * @var double $closePrice 
		 */
		public $closePrice;
	
		/**
		 * @var string $companyName 
		 */
		public $companyName;
	
		/**
		 * @var string $currency 
		 */
		public $currency;
	
		/**
		 * @var double $dayHighBidPrice 
		 */
		public $dayHighBidPrice;
	
		/**
		 * @var double $dayHighPrice 
		 */
		public $dayHighPrice;
	
		/**
		 * @var double $dayLowBidPrice 
		 */
		public $dayLowBidPrice;
	
		/**
		 * @var double $dayLowPrice 
		 */
		public $dayLowPrice;
	
		/**
		 * @var string $debtType 
		 */
		public $debtType;
	
		/**
		 * @var double $dividend 
		 */
		public $dividend;
	
		/**
		 * @var string $dividendDate 
		 */
		public $dividendDate;
	
		/**
		 * @var string $djTicker 
		 */
		public $djTicker;
	
		/**
		 * @var double $earningsPerShare 
		 */
		public $earningsPerShare;
	
		/**
		 * @var string $exchange 
		 */
		public $exchange;
	
		/**
		 * @var string $exDividendDate 
		 */
		public $exDividendDate;
	
		/**
		 * @var string $instrumentName 
		 */
		public $instrumentName;
	
		/**
		 * @var string $instrumentType (InstrumentType)
		 */
		public $instrumentType;
	
		/**
		 * @var string $interestPaymentFrequency 
		 */
		public $interestPaymentFrequency;
	
		/**
		 * @var string $issueDate 
		 */
		public $issueDate;
	
		/**
		 * @var string $last52WeekHighDate 
		 */
		public $last52WeekHighDate;
	
		/**
		 * @var double $last52WeekHighPrice 
		 */
		public $last52WeekHighPrice;
	
		/**
		 * @var string $last52WeekLowDate 
		 */
		public $last52WeekLowDate;
	
		/**
		 * @var double $last52WeekLowPrice 
		 */
		public $last52WeekLowPrice;
	
		/**
		 * @var double $lastTradePrice 
		 */
		public $lastTradePrice;
	
		/**
		 * @var string $lastTradeDateTime 
		 */
		public $lastTradeDateTime;
	
		/**
		 * @var string $lifetimeHighDate 
		 */
		public $lifetimeHighDate;
	
		/**
		 * @var double $lifetimeHighPrice 
		 */
		public $lifetimeHighPrice;
	
		/**
		 * @var string $lifetimeLowDate 
		 */
		public $lifetimeLowDate;
	
		/**
		 * @var double $lifetimeLowPrice 
		 */
		public $lifetimeLowPrice;
	
		/**
		 * @var string $maturityDate 
		 */
		public $maturityDate;
	
		/**
		 * @var double $midDayPrice 
		 */
		public $midDayPrice;
	
		/**
		 * @var double $netAssetValue 
		 */
		public $netAssetValue;
	
		/**
		 * @var string $netAssetValueDate 
		 */
		public $netAssetValueDate;
	
		/**
		 * @var string $nextInterestDate 
		 */
		public $nextInterestDate;
	
		/**
		 * @var double $nextInterestRate 
		 */
		public $nextInterestRate;
	
		/**
		 * @var double $offerPrice 
		 */
		public $offerPrice;
	
		/**
		 * @var double $openPrice 
		 */
		public $openPrice;
	
		/**
		 * @var double $pERatio 
		 */
		public $pERatio;
	
		/**
		 * @var double $previousAskPrice 
		 */
		public $previousAskPrice;
	
		/**
		 * @var double $previousBidPrice 
		 */
		public $previousBidPrice;
	
		/**
		 * @var double $percentageChange 
		 */
		public $percentageChange;
	
		/**
		 * @var double $previousNetAssetValue 
		 */
		public $previousNetAssetValue;
	
		/**
		 * @var string $previousNetAssetValueDate 
		 */
		public $previousNetAssetValueDate;
	
		/**
		 * @var string $rating 
		 */
		public $rating;
	
		/**
		 * @var string $ratingID 
		 */
		public $ratingID;
	
		/**
		 * @var string $requestedSymbol 
		 */
		public $requestedSymbol;
	
		/**
		 * @var string $ric 
		 */
		public $ric;
	
		/**
		 * @var boolean $spotRateInverted 
		 */
		public $spotRateInverted;
	
		/**
		 * @var factiva_Status $status 
		 */
		public $status;
	
		/**
		 * @var string $updateTime 
		 */
		public $updateTime;
	
		/**
		 * @var double $volume 
		 */
		public $volume;
	
		/**
		 * @var double $yield 
		 */
		public $yield;
	
		/**
		 * @var string $timeliness (TimelinessType)
		 */
		public $timeliness;
	}
?>