<?php
	/**
	 * Class factiva_SegmentItems
	 */
	class factiva_SegmentItems {
	
		/**
		 * @var double $totalRevenuePercentShare 
		 */
		public $totalRevenuePercentShare;
	
		/**
		 * @var double $interestIncomeBankPercentShare 
		 */
		public $interestIncomeBankPercentShare;
	
		/**
		 * @var double $totalOperatingExpensePercentShare 
		 */
		public $totalOperatingExpensePercentShare;
	
		/**
		 * @var double $operatingIncomePercentShare 
		 */
		public $operatingIncomePercentShare;
	
		/**
		 * @var double $operatingMarginPercentShare 
		 */
		public $operatingMarginPercentShare;
	
		/**
		 * @var double $totalAssetsPercentShare 
		 */
		public $totalAssetsPercentShare;
	
		/**
		 * @var double $totalLiabilitiesPercentShare 
		 */
		public $totalLiabilitiesPercentShare;
	
		/**
		 * @var double $operatingReturnOnAssetsPercentShare 
		 */
		public $operatingReturnOnAssetsPercentShare;
	
		/**
		 * @var double $purchaseOfFixedAssetsPercentShare 
		 */
		public $purchaseOfFixedAssetsPercentShare;
	
		/**
		 * @var double $externalRevenue 
		 */
		public $externalRevenue;
	
		/**
		 * @var double $intersegmentRevenue 
		 */
		public $intersegmentRevenue;
	
		/**
		 * @var double $interestIncomeBank 
		 */
		public $interestIncomeBank;
	
		/**
		 * @var double $netPremiumsEarned 
		 */
		public $netPremiumsEarned;
	
		/**
		 * @var double $netInvestmentIncome 
		 */
		public $netInvestmentIncome;
	
		/**
		 * @var double $realizedGains 
		 */
		public $realizedGains;
	
		/**
		 * @var double $otherRevenue 
		 */
		public $otherRevenue;
	
		/**
		 * @var double $totalRevenue 
		 */
		public $totalRevenue;
	
		/**
		 * @var double $costOfRevenue 
		 */
		public $costOfRevenue;
	
		/**
		 * @var double $grossProfit 
		 */
		public $grossProfit;
	
		/**
		 * @var double $grossMargin 
		 */
		public $grossMargin;
	
		/**
		 * @var double $bankInterestExpense 
		 */
		public $bankInterestExpense;
	
		/**
		 * @var double $loanLossProvision 
		 */
		public $loanLossProvision;
	
		/**
		 * @var double $netInterestIncome 
		 */
		public $netInterestIncome;
	
		/**
		 * @var double $researchAndDevelopment 
		 */
		public $researchAndDevelopment;
	
		/**
		 * @var double $lossesBenefitsAndAdjustments 
		 */
		public $lossesBenefitsAndAdjustments;
	
		/**
		 * @var double $amortizationOfPolicyAcquisitionCosts 
		 */
		public $amortizationOfPolicyAcquisitionCosts;
	
		/**
		 * @var double $otherUnusualIncome 
		 */
		public $otherUnusualIncome;
	
		/**
		 * @var double $ebitda 
		 */
		public $ebitda;
	
		/**
		 * @var double $ebitdaMargin 
		 */
		public $ebitdaMargin;
	
		/**
		 * @var double $depreciation 
		 */
		public $depreciation;
	
		/**
		 * @var double $totalOperatingExpense 
		 */
		public $totalOperatingExpense;
	
		/**
		 * @var double $operatingIncome 
		 */
		public $operatingIncome;
	
		/**
		 * @var double $operatingMargin 
		 */
		public $operatingMargin;
	
		/**
		 * @var double $ebit 
		 */
		public $ebit;
	
		/**
		 * @var double $ebitMargin 
		 */
		public $ebitMargin;
	
		/**
		 * @var double $nonOperatingInterestIncome 
		 */
		public $nonOperatingInterestIncome;
	
		/**
		 * @var double $interestExpense 
		 */
		public $interestExpense;
	
		/**
		 * @var double $netNonOperatingInterestExpense 
		 */
		public $netNonOperatingInterestExpense;
	
		/**
		 * @var double $totalNonInterestExpense 
		 */
		public $totalNonInterestExpense;
	
		/**
		 * @var double $totalNonInterestRevenue 
		 */
		public $totalNonInterestRevenue;
	
		/**
		 * @var double $incomeBeforeTax 
		 */
		public $incomeBeforeTax;
	
		/**
		 * @var double $preTaxMargin 
		 */
		public $preTaxMargin;
	
		/**
		 * @var double $totalIncomeTax 
		 */
		public $totalIncomeTax;
	
		/**
		 * @var double $incomeAfterTax 
		 */
		public $incomeAfterTax;
	
		/**
		 * @var double $netProfitMargin 
		 */
		public $netProfitMargin;
	
		/**
		 * @var double $equityInAffiliates 
		 */
		public $equityInAffiliates;
	
		/**
		 * @var double $discontinuedOperations 
		 */
		public $discontinuedOperations;
	
		/**
		 * @var double $extraordinaryItem 
		 */
		public $extraordinaryItem;
	
		/**
		 * @var double $accountingChange 
		 */
		public $accountingChange;
	
		/**
		 * @var double $fundsFromOperations 
		 */
		public $fundsFromOperations;
	
		/**
		 * @var double $totalGrossLoans 
		 */
		public $totalGrossLoans;
	
		/**
		 * @var double $netLoans 
		 */
		public $netLoans;
	
		/**
		 * @var double $longTermInvestmentAffiliateCompanies 
		 */
		public $longTermInvestmentAffiliateCompanies;
	
		/**
		 * @var double $deferredPolicyAcquisitionCosts 
		 */
		public $deferredPolicyAcquisitionCosts;
	
		/**
		 * @var double $longLivedAssets 
		 */
		public $longLivedAssets;
	
		/**
		 * @var double $totalAssets 
		 */
		public $totalAssets;
	
		/**
		 * @var double $operatingReturnOnAssets 
		 */
		public $operatingReturnOnAssets;
	
		/**
		 * @var double $policyLiabilities 
		 */
		public $policyLiabilities;
	
		/**
		 * @var double $totalDeposits 
		 */
		public $totalDeposits;
	
		/**
		 * @var double $totalLiabilities 
		 */
		public $totalLiabilities;
	
		/**
		 * @var double $purchaseOfFixedAssets 
		 */
		public $purchaseOfFixedAssets;
	
		/**
		 * @var int $employees 
		 */
		public $employees;
	}
?>