<?php
	/**
	 * Class factiva_SourceGroup
	 */
	class factiva_SourceGroup {
	
		/**
		 * @var factiva_ApplicableContentCategories $applicableContentCategories 
		 */
		public $applicableContentCategories;
	
		/**
		 * @var string $availabilityStatus (AvailabilityStatus)
		 */
		public $availabilityStatus;
	
		/**
		 * @var string $childrenTypes (ChildrenTypes)
		 */
		public $childrenTypes;
	
		/**
		 * @var factiva_Description $description 
		 */
		public $description;
	
		/**
		 * @var string $groupCode 
		 */
		public $groupCode;
	
		/**
		 * @var string $groupName 
		 */
		public $groupName;
	
		/**
		 * @var string $groupType (GroupType)
		 */
		public $groupType;
	
		/**
		 * @var int $numberOfChildren 
		 */
		public $numberOfChildren;
	
		/**
		 * @var string $parentGroupCode 
		 */
		public $parentGroupCode;
	
		/**
		 * @var string $sortName 
		 */
		public $sortName;
	
		/**
		 * @var factiva_Status $status 
		 */
		public $status;
	
		/**
		 * @var string $lang 
		 */
		public $lang;
	}
?>