<?php
	/**
	 * Encloses one or more documentId elements each of which identifies a specific document to be retrieved.
	 * @see WSKGetDocumentsByDocumentId
	 * */
	class WSKDocumentIdList {
		
		/**
		 * Encloses one or more documentId elements each of which identifies a specific document to be retrieved.
		 * @var string[] An array of unique identifiers that independently represents a document for up to 48 hours.
		 * */
		public $documentId;
		
		/**
		 * Constructs a documentIdList object
		 * @param string[] $documentId
		 * */
		public function __construct( $documentId = null ) {
			$this->documentId = null === $documentId ? array() : $documentId;
		}
	}
?>