<?php
	/**
	 * Encloses zero or more folder elements, which identify each of the subfolders under the requested folder.
	 * @see WSKBrowseSourcesResponse
	 * */
	class WSKFolderList {
		/**
		 * Encloses the name and folderId elements which identify each subfolder under the requested folder.
		 * @var WSKFolder[]
		 * */
		public $folder;
		
		/**
		 * Constructs a folderList object
		 * @param WSKFolder[] $folder A folder object or an array of folder objects which Encloses the name and folderId elements which identify each subfolder under the requested folder.
		 * */
		public function __construct( $folder = null ) {
			$this->folder = null === $folder ? array() : $folder;
		}
	}
?>